@import url('../base/styles.css');

/**
 * Checks if a list contains a certain value.
 *
 * @param {list} $list - the list to check
 * @param {value} $var - the value to search for
 * @param {bool} $recursive (false) - should any contained lists be checked for the value
 *
 * @return {bool} true if the value is found from the list, false otherwise
 *
 * @group lists
 */

/**
 * Cross-browser opacity.
 *
 * @param {number} $value - opacity value from 0 to 1
 * @param {bool} $important (false) - should the property value be declared with !important
 *
 * @group util
 */

@-webkit-keyframes valo-animate-in-fade {
		0% {
		opacity: 0;
	}
	}

@-moz-keyframes valo-animate-in-fade {
		0% {
		opacity: 0;
	}
	}

@keyframes valo-animate-in-fade {
		0% {
		opacity: 0;
	}
	}

@-webkit-keyframes valo-animate-out-fade {
		100% {
		opacity: 0;
	}
	}

@-moz-keyframes valo-animate-out-fade {
		100% {
		opacity: 0;
	}
	}

@keyframes valo-animate-out-fade {
		100% {
		opacity: 0;
	}
	}

@-webkit-keyframes valo-animate-in-slide-down {
		0% {
		-webkit-transform: translateY(-100%);
	}
	}

@-moz-keyframes valo-animate-in-slide-down {
		0% {
		-moz-transform: translateY(-100%);
	}
	}

@keyframes valo-animate-in-slide-down {
		0% {
		-webkit-transform: translateY(-100%);
		-moz-transform: translateY(-100%);
		-ms-transform: translateY(-100%);
		-o-transform: translateY(-100%);
		transform: translateY(-100%);
	}
	}

@-webkit-keyframes valo-animate-in-slide-up {
		0% {
		-webkit-transform: translateY(100%);
	}
	}

@-moz-keyframes valo-animate-in-slide-up {
		0% {
		-moz-transform: translateY(100%);
	}
	}

@keyframes valo-animate-in-slide-up {
		0% {
		-webkit-transform: translateY(100%);
		-moz-transform: translateY(100%);
		-ms-transform: translateY(100%);
		-o-transform: translateY(100%);
		transform: translateY(100%);
	}
	}

@-webkit-keyframes valo-animate-in-slide-left {
		0% {
		-webkit-transform: translateX(100%);
	}
	}

@-moz-keyframes valo-animate-in-slide-left {
		0% {
		-moz-transform: translateX(100%);
	}
	}

@keyframes valo-animate-in-slide-left {
		0% {
		-webkit-transform: translateX(100%);
		-moz-transform: translateX(100%);
		-ms-transform: translateX(100%);
		-o-transform: translateX(100%);
		transform: translateX(100%);
	}
	}

@-webkit-keyframes valo-animate-in-slide-right {
		0% {
		-webkit-transform: translateX(-100%);
	}
	}

@-moz-keyframes valo-animate-in-slide-right {
		0% {
		-moz-transform: translateX(-100%);
	}
	}

@keyframes valo-animate-in-slide-right {
		0% {
		-webkit-transform: translateX(-100%);
		-moz-transform: translateX(-100%);
		-ms-transform: translateX(-100%);
		-o-transform: translateX(-100%);
		transform: translateX(-100%);
	}
	}

@-webkit-keyframes valo-animate-out-slide-down {
		100% {
		-webkit-transform: translateY(100%);
	}
	}

@-moz-keyframes valo-animate-out-slide-down {
		100% {
		-moz-transform: translateY(100%);
	}
	}

@keyframes valo-animate-out-slide-down {
		100% {
		-webkit-transform: translateY(100%);
		-moz-transform: translateY(100%);
		-ms-transform: translateY(100%);
		-o-transform: translateY(100%);
		transform: translateY(100%);
	}
	}

@-webkit-keyframes valo-animate-out-slide-up {
		100% {
		-webkit-transform: translateY(-100%);
	}
	}

@-moz-keyframes valo-animate-out-slide-up {
		100% {
		-moz-transform: translateY(-100%);
	}
	}

@keyframes valo-animate-out-slide-up {
		100% {
		-webkit-transform: translateY(-100%);
		-moz-transform: translateY(-100%);
		-ms-transform: translateY(-100%);
		-o-transform: translateY(-100%);
		transform: translateY(-100%);
	}
	}

@-webkit-keyframes valo-animate-out-slide-left {
		100% {
		-webkit-transform: translateX(-100%);
	}
	}

@-moz-keyframes valo-animate-out-slide-left {
		100% {
		-moz-transform: translateX(-100%);
	}
	}

@keyframes valo-animate-out-slide-left {
		100% {
		-webkit-transform: translateX(-100%);
		-moz-transform: translateX(-100%);
		-ms-transform: translateX(-100%);
		-o-transform: translateX(-100%);
		transform: translateX(-100%);
	}
	}

@-webkit-keyframes valo-animate-out-slide-right {
		100% {
		-webkit-transform: translateX(100%);
	}
	}

@-moz-keyframes valo-animate-out-slide-right {
		100% {
		-moz-transform: translateX(100%);
	}
	}

@keyframes valo-animate-out-slide-right {
		100% {
		-webkit-transform: translateX(100%);
		-moz-transform: translateX(100%);
		-ms-transform: translateX(100%);
		-o-transform: translateX(100%);
		transform: translateX(100%);
	}
	}

@-webkit-keyframes valo-overlay-animate-in {
		0% {
		-webkit-transform: translatey(-4px);
		opacity: 0;
	}
	}

@-moz-keyframes valo-overlay-animate-in {
		0% {
		-moz-transform: translatey(-4px);
		opacity: 0;
	}
	}

@keyframes valo-overlay-animate-in {
		0% {
		-webkit-transform: translatey(-4px);
		-moz-transform: translatey(-4px);
		-ms-transform: translatey(-4px);
		-o-transform: translatey(-4px);
		transform: translatey(-4px);
		opacity: 0;
	}
	}

@-webkit-keyframes valo-animate-out-slide-down-fade {
		100% {
		opacity: 0;
		-webkit-transform: translatey(30%);
	}
	}

@-moz-keyframes valo-animate-out-slide-down-fade {
		100% {
		opacity: 0;
		-moz-transform: translatey(30%);
	}
	}

@keyframes valo-animate-out-slide-down-fade {
		100% {
		opacity: 0;
		-webkit-transform: translatey(30%);
		-moz-transform: translatey(30%);
		-ms-transform: translatey(30%);
		-o-transform: translatey(30%);
		transform: translatey(30%);
	}
	}

/**
 * Outputs cross-browser Valo-specific linear gradient background-image declarations.
 *
 * @group style
 *
 * @param {color} $color ($v-background-color) - The base color for the gradient color stops
 * @param {list} $gradient ($v-gradient) - Valo-specific gradient value. See the documentation for $v-gradient.
 * @param {color} $fallback (null) - A fallback color for browser which do not support linear gradients (IE8 and IE9 in particular). If null, the base $color is used instead.
 * @param {string} $direction (to bottom) - the direction of the linear gradient. The color stops are by default so that a lighter shade is at the start and a darker shade is at the end.
 */

/**
 * Computes a CSS border property value for the given base color.
 *
 * @group style
 *
 * @param {list} $border ($v-border) - CSS border value which can contain any of the color keywords
 * @param {color} $color ($v-background-color) - the base color to which the color keywords are applied to
 * @param {color} $context (null) - context/surrounding color where the border is expected to appear. The color of the final border is the darker of the two parameters passed to this function.
 * @param {number} $strength (1) - adjustment for the border contrast
 *
 * @return {list} The input $border value with any color keyword replaced with the corresponding actual color
 */

/**
 * Ouput selectors and properties to vertically center elements inside their parent.
 *
 * @param {string} $to-align (()) - The selector to match the elements which you wish to align vertically. The targeted elements should be inline or inline-block elements.
 * @param {string} $align (middle) - The vertical-align value, e.g. top, middle, bottom
 * @param {string} $pseudo-element (after) - Which pseudo element to use for the vertical align guide
 *
 * @group util
 */

@font-face {
	font-family: "Vaadin-Icons";
	src: url(../valo/fonts/vaadin-icons/Vaadin-Icons.eot);
	src: url(../valo/fonts/vaadin-icons/Vaadin-Icons.eot?#iefix) format("embedded-opentype"), url(../valo/fonts/vaadin-icons/Vaadin-Icons.woff) format("woff"), url(../valo/fonts/vaadin-icons/Vaadin-Icons.ttf) format("truetype"), url(../valo/fonts/vaadin-icons/Vaadin-Icons.svg#icomoon) format("svg");
}

.Vaadin-Icons {
	font-family: "Vaadin-Icons";
}

@font-face {
	font-family: ThemeIcons;
	font-weight: normal;
	font-style: normal;
	src: url(../valo/util/bourbon/css3/../../../../valo/fonts/themeicons-webfont/themeicons-webfont.eot);
	src: url(../valo/util/bourbon/css3/../../../../valo/fonts/themeicons-webfont/themeicons-webfont.eot?#iefix) format("embedded-opentype"), url(../valo/util/bourbon/css3/../../../../valo/fonts/themeicons-webfont/themeicons-webfont.woff) format("woff"), url(../valo/util/bourbon/css3/../../../../valo/fonts/themeicons-webfont/themeicons-webfont.ttf) format("truetype"), url(../valo/util/bourbon/css3/../../../../valo/fonts/themeicons-webfont/themeicons-webfont.svg#ThemeIcons) format("svg");
}

.ThemeIcons {
	font-family: ThemeIcons;
	font-style: normal;
	font-weight: normal;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	display: inline-block;
	text-align: center;
}

@font-face {
	font-family: FontAwesome;
	font-weight: normal;
	font-style: normal;
	src: url(../valo/util/bourbon/css3/../../../../valo/fonts/fontawesome-webfont/fontawesome-webfont.eot);
	src: url(../valo/util/bourbon/css3/../../../../valo/fonts/fontawesome-webfont/fontawesome-webfont.eot?#iefix) format("embedded-opentype"), url(../valo/util/bourbon/css3/../../../../valo/fonts/fontawesome-webfont/fontawesome-webfont.woff) format("woff"), url(../valo/util/bourbon/css3/../../../../valo/fonts/fontawesome-webfont/fontawesome-webfont.ttf) format("truetype"), url(../valo/util/bourbon/css3/../../../../valo/fonts/fontawesome-webfont/fontawesome-webfont.svg#FontAwesome) format("svg");
}

.FontAwesome {
	font-family: FontAwesome;
	font-style: normal;
	font-weight: normal;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	display: inline-block;
	text-align: center;
}

@font-face {
	font-family: "Open Sans";
	src: url(../valo/fonts/open-sans/OpenSans-Light-webfont.eot);
	src: url(../valo/fonts/open-sans/OpenSans-Light-webfont.eot?#iefix) format("embedded-opentype"), url(../valo/fonts/open-sans/OpenSans-Light-webfont.woff) format("woff"), url(../valo/fonts/open-sans/OpenSans-Light-webfont.ttf) format("truetype");
	font-weight: 300;
	font-style: normal;
}

@font-face {
	font-family: "Open Sans";
	src: url(../valo/fonts/open-sans/OpenSans-Regular-webfont.eot);
	src: url(../valo/fonts/open-sans/OpenSans-Regular-webfont.eot?#iefix) format("embedded-opentype"), url(../valo/fonts/open-sans/OpenSans-Regular-webfont.woff) format("woff"), url(../valo/fonts/open-sans/OpenSans-Regular-webfont.ttf) format("truetype");
	font-weight: 400;
	font-style: normal;
}

@font-face {
	font-family: "Open Sans";
	src: url(../valo/fonts/open-sans/OpenSans-Semibold-webfont.eot);
	src: url(../valo/fonts/open-sans/OpenSans-Semibold-webfont.eot?#iefix) format("embedded-opentype"), url(../valo/fonts/open-sans/OpenSans-Semibold-webfont.woff) format("woff"), url(../valo/fonts/open-sans/OpenSans-Semibold-webfont.ttf) format("truetype");
	font-weight: 600;
	font-style: normal;
}

@-webkit-keyframes v-rotate-360 {
		to {
		-webkit-transform: rotate(360deg);
	}
	}

@-moz-keyframes v-rotate-360 {
		to {
		-moz-transform: rotate(360deg);
	}
	}

@-o-keyframes v-rotate-360 {
		to {
		-o-transform: rotate(360deg);
	}
	}

@keyframes v-rotate-360 {
		to {
		transform: rotate(360deg);
	}
	}

@-webkit-keyframes v-progress-start {
		0% {
		width: 0%;
	}
		100% {
		width: 50%;
	}
	}

@-moz-keyframes v-progress-start {
		0% {
		width: 0%;
	}
		100% {
		width: 50%;
	}
	}

@keyframes v-progress-start {
		0% {
		width: 0%;
	}
		100% {
		width: 50%;
	}
	}

@-webkit-keyframes v-progress-delay {
		0% {
		width: 50%;
	}
		100% {
		width: 90%;
	}
	}

@-moz-keyframes v-progress-delay {
		0% {
		width: 50%;
	}
		100% {
		width: 90%;
	}
	}

@keyframes v-progress-delay {
		0% {
		width: 50%;
	}
		100% {
		width: 90%;
	}
	}

@-webkit-keyframes v-progress-wait {
		0% {
		width: 90%;
		height: 4px;
	}
		3% {
		width: 91%;
		height: 7px;
	}
		100% {
		width: 96%;
		height: 7px;
	}
	}

@-moz-keyframes v-progress-wait {
		0% {
		width: 90%;
		height: 4px;
	}
		3% {
		width: 91%;
		height: 7px;
	}
		100% {
		width: 96%;
		height: 7px;
	}
	}

@keyframes v-progress-wait {
		0% {
		width: 90%;
		height: 4px;
	}
		3% {
		width: 91%;
		height: 7px;
	}
		100% {
		width: 96%;
		height: 7px;
	}
	}

@-webkit-keyframes v-progress-wait-pulse {
		0% {
		opacity: 1;
	}
		50% {
		opacity: 0.1;
	}
		100% {
		opacity: 1;
	}
	}

@-moz-keyframes v-progress-wait-pulse {
		0% {
		opacity: 1;
	}
		50% {
		opacity: 0.1;
	}
		100% {
		opacity: 1;
	}
	}

@keyframes v-progress-wait-pulse {
		0% {
		opacity: 1;
	}
		50% {
		opacity: 0.1;
	}
		100% {
		opacity: 1;
	}
	}

/**
 * Outputs the context menu selectors and styles, which is used by Table and Tree for instance.
 *
 * @requires {mixin} valo-selection-item-style
 * @requires {mixin} valo-selection-item-selected-style
 */

/**
 * The background color for overlay elements.
 *
 * @type color
 * @group overlay
 */

/**
 * The backgound color for tooltips.
 *
 * @type color
 * @group tooltip
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-absolutelayout) -
 *
 * @group absolutelayout
 */

/**
 * Outputs the selectors and properties for the Accordion component.
 *
 * @param {string} $primary-stylename (v-accordion) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 * @group accordion
 */

/**
 * Outputs the selectors and properties for the Button component.
 *
 * @param {string} $primary-stylename (v-button) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 *
 * @group button
 */

/**
 * A list of colors for custom event colors. Can be an empty list of you don't
 * need any custom event colors.
 *
 * @example javascript
 * // Java code
 * // 'event' is an instance of EditableCalendarEvent
 * event.setStyleName("color1"); // 1st color in the list
 * event.setStyleName("color2"); // 2nd color in the list
 * // etc.
 *
 * @group calendar
 */

/**
 * Outputs the selectors and properties for the CheckBox component.
 *
 * @param {string} $primary-stylename (v-checkbox) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 *
 * @group checkbox
 */

/**
 * Outputs the global selectors and properties for the ColorPicker component - styles which are
 * considered mandatory for the component to work properly.
 *
 * @param {string} $primary-stylename (v-colorpicker) - the primary style name for the selectors
 *
 * @group colorpicker
 */

/**
 * Outputs the selectors and properties for the ComboBox component.
 *
 * @param {string} $primary-stylename (v-filterselect) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 *
 * @group combobox
 */

/**
 * The amount of spacing between different widgets in a component group.
 * If null, a computed value is used ($v-border size * -1, or 1px if $v-border size is 0)
 *
 * @group csslayout
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-customcomponent) -
 *
 * @group customcomponent
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-customlayout) -
 *
 * @group customlayout
 */

/**
 * Outputs the selectors and properties for the DateField component.
 *
 * @param {string} $primary-stylename (v-datefield) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 *
 * @group datefield
 */

/**
 * Outputs the styles and selectors for the DragAndDropWrapper component.
 *
 * @param {string} $primary-stylename (v-ddwrapper) - the primary style name for the selectors
 *
 * @group drag-n-drop
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-form) -
 *
 * @group form
 */

/**
 * Outputs the selectors and properties for the FormLayout component.
 *
 * @param {string} $primary-stylename (v-formlayout) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 *
 * @group formlayout
 */

/**
 *
 * @group table
 */

@-webkit-keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@-moz-keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@-webkit-keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

@-moz-keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

@keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

/**
 *
 *
 * @param {string} $primary-stylename (v-gridlayout) -
 *
 * @group gridlayout
 */

/**
 * The font weight for headers.
 *
 * @group label
 */

/**
 *
 * @group link
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-loginform) -
 *
 * @group loginform
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-menubar) -
 * @param {bool} $include-additional-styles -
 *
 * @group menubar
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-nativebutton) -
 *
 * @group nativebutton
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-select) -
 *
 * @group nativeselect
 */

/**
 *
 * @group notification
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-select-optiongroup) -
 * @param {bool} $include-additional-styles -
 *
 * @group optiongroup
 */

/**
 *
 *
 *
 * @group orderedlayout
 */

/**
 *
 * @group panel
 */

@-webkit-keyframes v-popupview-animate-in {
		0% {
		-webkit-transform: scale(0);
	}
	}

@-moz-keyframes v-popupview-animate-in {
		0% {
		-moz-transform: scale(0);
	}
	}

@keyframes v-popupview-animate-in {
		0% {
		-webkit-transform: scale(0);
		-moz-transform: scale(0);
		-ms-transform: scale(0);
		-o-transform: scale(0);
		transform: scale(0);
	}
	}

/**
 *
 * @group progressbar
 */

/**
 *
 * @group richtextarea
 */

/**
 *
 * @group slider
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-splitpanel) -
 * @param {bool} $include-additional-styles -
 *
 * @group splitpanel
 */

/**
 *
 * @group table
 */

/**
 * Should the tabsheet content changes be animated.
 *
 * @group tabsheet
 */

/**
 * The background color for text fields.
 * @group textfield
 */

/**
 * Outputs the selectors and properties for the TextArea component.
 *
 * @param {string} $primary-stylename (v-textarea) - the primary style name for the selectors
 * @param {bool} $include-additional-styles - should the mixin output all the different style variations of the component
 *
 * @group textarea
 */

/**
 *
 * @group tree
 */

/**
 *
 * @group table
 */

@-webkit-keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@-moz-keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@-webkit-keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

@-moz-keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

@keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

/**
 *
 * @group table
 */

@-webkit-keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@-moz-keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@keyframes valo-grid-editor-footer-animate-in {
		0% {
		margin-top: -37px;
	}
	}

@-webkit-keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

@-moz-keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

@keyframes valo-grid-editor-footer-animate-in-alt {
		0% {
		margin-bottom: -38px;
	}
		100% {
		margin-bottom: -1px;
	}
	}

/**
 *
 *
 * @param {string} $primary-stylename (v-treetable) -
 *
 * @group treetable
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-select-twincol) -
 *
 * @group twin-column-select
 */

/**
 *
 *
 * @param {string} $primary-stylename (v-upload) -
 *
 * @group upload
 */

/**
 *
 */

/**
 * @group window
 */

@-webkit-keyframes valo-modal-window-indication {
		0% {
		opacity: 0;
	}
		100% {
		opacity: 1;
	}
	}

@-moz-keyframes valo-modal-window-indication {
		0% {
		opacity: 0;
	}
		100% {
		opacity: 1;
	}
	}

@keyframes valo-modal-window-indication {
		0% {
		opacity: 0;
	}
		100% {
		opacity: 1;
	}
	}

@-webkit-keyframes valo-animate-out-scale-down-fade {
		100% {
		-webkit-transform: scale(0.8);
		opacity: 0;
	}
	}

@-moz-keyframes valo-animate-out-scale-down-fade {
		100% {
		-moz-transform: scale(0.8);
		opacity: 0;
	}
	}

@keyframes valo-animate-out-scale-down-fade {
		100% {
		-webkit-transform: scale(0.8);
		-moz-transform: scale(0.8);
		-ms-transform: scale(0.8);
		-o-transform: scale(0.8);
		transform: scale(0.8);
		opacity: 0;
	}
	}

/**
 * @group valo-menu
 */

.v-vaadin-version:after {
	content: "8.1-SNAPSHOT";
}

.v-widget {
	box-sizing: border-box;
	display: inline-block;
	vertical-align: top;
	text-align: left;
	white-space: normal;
}

.v-generated-body {
	overflow: hidden;
	margin: 0;
	padding: 0;
	border: 0;
}

.v-app {
	height: 100%;
	-webkit-tap-highlight-color: transparent;
	-webkit-text-size-adjust: 100%;
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.v-app input[type="text"], .v-app .v-slot > .v-caption, .v-app .v-gridlayout-slot > .v-caption, .v-app .v-has-caption > .v-caption, .v-app .v-formlayout-captioncell > .v-caption, .v-app .v-csslayout > .v-caption {
	-webkit-user-select: text;
	-moz-user-select: text;
	-ms-user-select: text;
	user-select: text;
}

.v-app input::-ms-clear {
	display: none;
}

.v-ui {
	position: relative;
}

.v-ui.v-ui-embedded {
	margin-top: -1px;
	border-top: 1px solid transparent;
}

.v-ui:focus {
	outline: none;
}

.v-overlay-container {
	width: 0;
	height: 0;
}

.v-drag-element {
	z-index: 60000;
	position: absolute !important;
	cursor: default;
}

.v-clip {
	overflow: hidden;
}

.v-scrollable {
	overflow: auto;
}

.v-scrollable  > .v-widget {
	vertical-align: middle;
	overflow: hidden;
}

.v-ios.v-webkit .v-scrollable {
	-webkit-overflow-scrolling: touch;
}

.v-ios5.v-webkit .v-scrollable {
	-webkit-overflow-scrolling: none;
}

.v-webkit.v-ios .v-browserframe {
	-webkit-overflow-scrolling: touch;
	overflow: auto;
}

.v-assistive-device-only {
	position: absolute;
	top: -2000px;
	left: -2000px;
	width: 10px;
	overflow: hidden;
}

.v-icon {
	cursor: inherit;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.v-icon, .v-errorindicator, .v-required-field-indicator {
	display: inline-block;
	line-height: inherit;
}

.v-caption {
	display: inline-block;
	white-space: nowrap;
	line-height: 1.55;
}

.v-captiontext {
	display: inline-block;
	line-height: inherit;
}

div.v-layout.v-horizontal.v-widget {
	white-space: nowrap;
}

.v-layout.v-vertical > .v-expand, .v-layout.v-horizontal > .v-expand {
	box-sizing: border-box;
	width: 100%;
	height: 100%;
}

.v-slot, .v-spacing {
	display: inline-block;
	white-space: nowrap;
	vertical-align: top;
}

.v-vertical > .v-slot:after {
	display: inline-block;
	clear: both;
	width: 0;
	height: 0;
	overflow: hidden;
}

.v-vertical > .v-slot, .v-vertical > .v-expand > .v-slot {
	display: block;
	clear: both;
}

.v-horizontal > .v-slot, .v-horizontal > .v-expand > .v-slot {
	height: 100%;
}

.v-horizontal > .v-expand > .v-slot {
	position: relative;
}

.v-vertical > .v-spacing, .v-vertical > .v-expand > .v-spacing {
	width: 0 !important;
	display: block;
	clear: both;
}

.v-horizontal > .v-spacing, .v-horizontal > .v-expand > .v-spacing {
	height: 0 !important;
}

.v-align-middle:before, .v-align-bottom:before, .v-expand > .v-align-middle:before, .v-expand > .v-align-bottom:before {
	content: "";
	display: inline-block;
	height: 100%;
	vertical-align: middle;
	width: 0;
}

.v-align-middle, .v-align-bottom {
	white-space: nowrap;
}

.v-align-middle > .v-widget, .v-align-bottom > .v-widget {
	display: inline-block;
}

.v-align-middle, .v-align-middle > .v-widget {
	vertical-align: middle;
}

.v-align-bottom, .v-align-bottom > .v-widget {
	vertical-align: bottom;
}

.v-align-center {
	text-align: center;
}

.v-align-center > .v-widget {
	margin-left: auto;
	margin-right: auto;
}

.v-align-right {
	text-align: right;
}

.v-align-right > .v-widget {
	margin-left: auto;
}

.v-has-caption, .v-has-caption > .v-caption {
	display: inline-block;
}

.v-caption-on-left, .v-caption-on-right {
	white-space: nowrap;
}

.v-caption-on-top > .v-caption, .v-caption-on-bottom > .v-caption {
	display: block;
}

.v-caption-on-left > .v-caption {
	padding-right: 0.5em;
}

.v-caption-on-left > .v-widget, .v-caption-on-right > .v-widget {
	display: inline-block;
}

.v-has-caption.v-has-width > .v-widget {
	width: 100% !important;
}

.v-has-caption.v-has-height > .v-widget {
	height: 100% !important;
}

.v-gridlayout {
	position: relative;
}

.v-gridlayout-slot {
	position: absolute;
	line-height: 1.55;
}

.v-gridlayout-spacing-on {
	overflow: hidden;
}

.v-gridlayout-spacing, .v-gridlayout-spacing-off {
	padding-left: 0;
	padding-top: 0;
}

.v-gridlayout-spacing-off {
	overflow: hidden;
}

.v-calendar-month-day-scrollable {
	overflow-y: scroll;
}

.v-calendar-week-wrapper {
	position: relative;
	overflow: hidden;
}

.v-calendar-current-time {
	position: absolute;
	left: 0;
	width: 100%;
	height: 1px;
	background: red;
	z-index: 2;
}

.v-calendar-event-resizetop, .v-calendar-event-resizebottom {
	position: absolute;
	height: 5%;
	min-height: 3px;
	width: 100%;
	z-index: 1;
}

.v-calendar-event-resizetop {
	cursor: row-resize;
	top: 0;
}

.v-calendar-event-resizebottom {
	cursor: row-resize;
	bottom: 0;
}

.v-calendar-header-month td:first-child {
	padding-left: 20px;
}

.v-calendar-month-sizedheight .v-calendar-month-day {
	height: 100px;
}

.v-calendar-month-sizedwidth .v-calendar-month-day {
	width: 100px;
}

.v-calendar-header-month-Hsized .v-calendar-header-day {
	width: 101px;
}

.v-calendar-header-month-Hsized td:first-child {
	padding-left: 21px;
}

.v-calendar-header-day-Hsized {
	width: 200px;
}

.v-calendar-week-numbers-Vsized .v-calendar-week-number {
	height: 100px;
	line-height: 100px;
}

.v-calendar-week-wrapper-Vsized {
	height: 400px;
	overflow-x: hidden !important;
}

.v-calendar-times-Vsized .v-calendar-time {
	height: 38px;
}

.v-calendar-times-Hsized .v-calendar-time {
	width: 42px;
}

.v-calendar-day-times-Vsized .v-datecellslot, .v-calendar-day-times-Vsized .v-datecellslot-even {
	height: 18px;
}

.v-calendar-day-times-Hsized, .v-calendar-day-times-Hsized .v-datecellslot, .v-calendar-day-times-Hsized .v-datecellslot-even {
	width: 200px;
}

.v-colorpicker-popup.v-window {
	min-width: 220px !important;
}

.v-colorpicker-gradient-container {
	overflow: visible !important;
}

.v-colorpicker-gradient-clicklayer {
	opacity: 0;
	filter: alpha(opacity=0) ;
}

.rgb-gradient .v-colorpicker-gradient-background {
	background: url(../valo/components/img/colorpicker/gradient2.png);
}

.hsv-gradient .v-colorpicker-gradient-foreground {
	background: url(../valo/components/img/colorpicker/gradient.png);
}

.v-colorpicker-gradient-higherbox:before {
	content: "";
	width: 11px;
	height: 11px;
	border-radius: 7px;
	border: 1px solid #fff;
	-webkit-box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.3), inset 0 0 0 1px rgba(0, 0, 0, 0.3);
	box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.3), inset 0 0 0 1px rgba(0, 0, 0, 0.3);
	position: absolute;
	bottom: -6px;
	left: -6px;
}

.v-colorpicker-popup .v-slider.v-slider-red:before {
	background-color: red;
}

.v-colorpicker-popup .v-slider.v-slider-green:before {
	background-color: green;
}

.v-colorpicker-popup .v-slider.v-slider-blue:before {
	background-color: blue;
}

.v-colorpicker-popup .v-slider.hue-slider:before {
	background: url(../valo/components/img/colorpicker/slider_hue_bg.png);
}

.v-colorpicker-popup input.v-textfield-dark {
	color: #fff;
}

.v-colorpicker-popup input.v-textfield-light {
	color: #000;
}

.v-colorpicker-grid {
	height: 319px;
}

.v-colorpicker-popup .colorselect td {
	line-height: 15px;
}

.v-table-header table, .v-table-footer table, .v-table-table {
	border-spacing: 0;
	border-collapse: separate;
	margin: 0;
	padding: 0;
	border: 0;
	line-height: 1.55;
}

.v-table-resizer, .v-table-sort-indicator {
	float: right;
}

.v-table-caption-container-align-center {
	text-align: center;
}

.v-table-caption-container-align-right {
	text-align: right;
}

.v-table-header td, .v-table-footer td, .v-table-cell-content {
	padding: 0;
}

.v-table-sort-indicator {
	width: 0;
}

.v-tabsheet-hidetabs > .v-tabsheet-tabcontainer, .v-tabsheet-spacertd, .v-disabled .v-tabsheet-scroller, .v-tabsheet .v-disabled .v-tabsheet-caption-close {
	display: none;
}

.v-tabsheet {
	overflow: visible !important;
	position: relative;
}

.v-tabsheet-tabcontainer table, .v-tabsheet-tabcontainer tbody, .v-tabsheet-tabcontainer tr {
	display: inline-block;
	border-spacing: 0;
	border-collapse: collapse;
	vertical-align: top;
}

.v-tabsheet-tabcontainer td {
	display: inline-block;
	padding: 0;
}

.v-tabsheet-tabs {
	white-space: nowrap;
	box-sizing: border-box;
}

.v-tabsheet-content {
	position: relative;
}

.v-tabsheet-content  > div > .v-scrollable  > .v-margin-top {
	padding-top: 12px;
}

.v-tabsheet-content  > div > .v-scrollable  > .v-margin-right {
	padding-right: 12px;
}

.v-tabsheet-content  > div > .v-scrollable  > .v-margin-bottom {
	padding-bottom: 12px;
}

.v-tabsheet-content  > div > .v-scrollable  > .v-margin-left {
	padding-left: 12px;
}

.v-splitpanel-vertical, .v-splitpanel-horizontal {
	overflow: hidden;
	white-space: nowrap;
}

.v-splitpanel-hsplitter {
	z-index: 100;
	cursor: e-resize;
	cursor: col-resize;
}

.v-splitpanel-vsplitter {
	z-index: 100;
	cursor: s-resize;
	cursor: row-resize;
}

.v-splitpanel-hsplitter:after, .v-splitpanel-vsplitter:after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

.v-splitpanel-hsplitter div, .v-splitpanel-vsplitter div {
	width: inherit;
	height: inherit;
	overflow: hidden;
	position: relative;
}

.v-splitpanel-hsplitter div:before, .v-splitpanel-vsplitter div:before {
	box-sizing: border-box;
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

.v-disabled [class$="splitter"] div {
	cursor: default;
}

.v-disabled [class$="splitter"] div:before {
	display: none;
}

.v-splitpanel-horizontal > div  > .v-splitpanel-second-container {
	position: static !important;
	display: inline-block;
	vertical-align: top;
}

.v-splitpanel-horizontal > div  > .v-splitpanel-first-container {
	display: inline-block;
	vertical-align: top;
}

@-webkit-keyframes fade-in {
		0% {
		opacity: 0;
	}
		100% {
		opacity: 1;
	}
	}

@-moz-keyframes fade-in {
		0% {
		opacity: 0;
	}
	}

@-ms-keyframes fade-in {
		0% {
		opacity: 0;
	}
	}

@-o-keyframes fade-in {
		0% {
		opacity: 0;
	}
	}

@-webkit-keyframes pull-down {
		0% {
		-webkit-transform: translateY(-50%);
	}
	}

@-moz-keyframes pull-down {
		0% {
		-moz-transform: translateY(-50%);
	}
	}

@-ms-keyframes pull-down {
		0% {
		-ms-transform: translateY(-50%);
	}
	}

@-o-keyframes pull-down {
		0% {
		-o-transform: translateY(-50%);
	}
	}

#display {
	visibility: hidden;
	opacity: 0;
	position: absolute;
	font-size: 12px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	height: 100%;
	width: 100%;
	transition-property: opacity, visibility;
	-webkit-transition-property: opacity, visibility;
	-moz-transition-property: opacity, visibility;
	-ms-transition-property: opacity, visibility;
	-o-transition-property: opacity, visibility;
}

.sampleselected #display {
	visibility: visible;
	opacity: 1;
}

#display #sampletitle {
	position: absolute;
	top: 82px;
	left: 30px;
	color: #000;
	font-size: 20px;
	font-family: "HelveticaW01-RoundedBd", sans-serif;
}

.v-ui[width-range~="801px-"] #display #sampletitle {
	visibility: hidden;
}

#display .siblingbutton {
	cursor: pointer;
	background: url(../community/images/empty.png);
	position: fixed;
	top: 0;
	padding-top: 55px;
	height: 100%;
	width: 55px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	color: transparent;
	-webkit-transition: -webkit-transform 0.8s;
	transition: transform 0.8s;
}

#display .siblingbutton:before {
	content: "";
	border: 7px solid transparent;
	font-family: sampler;
	font-size: 0;
	color: #797978;
	position: absolute;
	top: 50%;
	margin-top: 23px;
}

#display .previousbutton {
	left: 0;
}

#display .previousbutton:before {
	border-right-color: #797978;
	right: 15px;
}

#display .nextbutton {
	right: 0;
}

#display .nextbutton:before {
	border-left-color: #797978;
	left: 15px;
}

#display .samplepanelcontainer {
	width: 100%;
	height: 100%;
	border-top: 55px solid transparent;
	border-right: 55px solid transparent;
	border-left: 55px solid transparent;
	color: #222;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

#display .samplepanel {
	position: fixed;
	top: 55px;
	margin: auto;
	right: 0;
	bottom: 0;
	left: 0;
	width: 200px;
	height: 150px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);
	-moz-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);
	box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);
	padding: 10px;
	-webkit-transition: -webkit-transform 0.8s, opacity 0.8s, visibility 0.8s;
	transition: transform 0.8s, opacity 0.8s, visibility 0.8s;
}

#display .samplepanel:not(.vaadintheme), #display .samplepanel.hidecontext {
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	padding: 0;
	background-color: transparent;
}

#display .samplepanel.nextsample {
	opacity: 0;
	visibility: hidden;
	-ms-transform: translateX(1000px) !important;
	-webkit-transform: translateX(1000px) !important;
	transform: translateX(1000px) !important;
}

.v-ie8 #display .samplepanel.nextsample {
	display: none;
}

#display .samplepanel.previoussample {
	opacity: 0;
	visibility: hidden;
	-ms-transform: translateX(-1000px) !important;
	-webkit-transform: translateX(-1000px) !important;
	transform: translateX(-1000px) !important;
}

.v-ie8 #display .samplepanel.previoussample {
	display: none;
}

#display .samplepanel .resizehandle {
	width: 13px;
	height: 13px;
	cursor: se-resize;
	position: absolute;
	bottom: -13px;
	right: -13px;
	opacity: 0.5;
	z-index: 1;
	transition-property: opacity;
	-webkit-transition-property: opacity;
	-moz-transition-property: opacity;
	-ms-transition-property: opacity;
	-o-transition-property: opacity;
}

#display .samplepanel .resizehandle:before {
	content: "\e00a";
	font-size: 30px;
	font-family: sampler;
	color: rgba(0, 0, 0, 0.3);
}

#display .samplepanel .resizehandle:hover:before {
	color: rgba(0, 0, 0, 0.8);
}

#display .samplepanel:HOVER .resizehandle {
	opacity: 1;
}

#display .samplepanel:HOVER .resizehandle:HOVER {
	opacity: 1 !important;
}

#display .samplepanel:before, #display .samplepanel:after {
	border: 1px solid #c4e8f6;
	border-color: rgba(0, 182, 255, 0.2);
	position: absolute;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

#display .samplepanel:before {
	top: 0;
	height: 100%;
	width: 4000px;
	left: -2000px;
}

#display .samplepanel:after {
	left: 0;
	width: 100%;
	height: 4000px;
	top: -2000px;
}

.resizingsample #display, .resizingsample #display .samplepanel, .resizingsample #display .resizehandle {
	cursor: move;
}

.resizingsample #display .samplepanel.visible:before, .resizingsample #display .samplepanel.visible:after {
	content: "";
}

#display .waiaria {
	background-color: #fff;
	font-weight: bold;
	position: fixed;
	bottom: 10px;
	left: 50%;
	margin-left: -60px;
	-webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-moz-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	color: #676767;
	text-decoration: none;
	padding: 9px 22px 9px 39px;
	line-height: 1;
	z-index: 1;
	visibility: hidden;
	-webkit-transition: -webkit-transform 0.8s;
	transition: transform 0.8s;
}

#display .waiaria:before {
	position: absolute;
	font-family: sampler;
	content: "\e602";
	background-color: #00b4f0;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	color: #fff;
	font-size: 25px;
	top: 3px;
	left: 3px;
}

#display .waiaria:after {
	position: absolute;
	font-size: 0px;
	content: "";
	border: 4px solid transparent;
	border-left-color: #9a9a9a;
	top: 11px;
	right: 2px;
}

.waiariabadge #display .waiaria {
	visibility: visible;
}

#display .pre-release-notification {
	background-color: #fff;
	font-weight: bold;
	position: fixed;
	bottom: 50px;
	left: 50%;
	margin-left: -200px;
	-webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-moz-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	color: #676767;
	text-decoration: none;
	padding: 9px 22px 9px 39px;
	line-height: 1;
	z-index: 1;
	-webkit-transition: -webkit-transform 0.8s;
	transition: transform 0.8s;
}

#display .pre-release-notification:before {
	position: absolute;
	font-family: sampler;
	content: "\26a0";
	background-color: #E61E6E;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	color: #fff;
	font-size: 25px;
	top: 3px;
	left: 3px;
}

#display .pre-release-notification:after {
	position: absolute;
	font-size: 0px;
	content: "";
	border: 4px solid transparent;
	border-left-color: #9a9a9a;
	top: 11px;
	right: 2px;
}

.v-ie8 #display .samplepanel {
	border-color: #fff;
}

#display .siblingbutton .gwt-Label {
	color: #8C8C87;
	vertical-align: middle;
}

.v-ui[width-range~="0px-450px"] .samplepanel.minscreenwidth-450, .v-ui[width-range~="0px-500px"] .samplepanel.minscreenwidth-500, .v-ui[width-range~="0px-550px"] .samplepanel.minscreenwidth-550, .v-ui[width-range~="0px-600px"] .samplepanel.minscreenwidth-600, .v-ui[width-range~="0px-650px"] .samplepanel.minscreenwidth-650, .v-ui[width-range~="0px-700px"] .samplepanel.minscreenwidth-700, .v-ui[width-range~="0px-750px"] .samplepanel.minscreenwidth-750, .v-ui[width-range~="0px-800px"] .samplepanel.minscreenwidth-800, .v-ui[width-range~="0px-850px"] .samplepanel.minscreenwidth-850, .v-ui[width-range~="0px-900px"] .samplepanel.minscreenwidth-900 {
	-webkit-box-shadow: none !important;
	-moz-box-shadow: none !important;
	box-shadow: none !important;
	padding: 0 !important;
	background-color: transparent !important;
	position: static !important;
}

.v-ui[width-range~="0px-450px"] .samplepanel.minscreenwidth-450 > *, .v-ui[width-range~="0px-500px"] .samplepanel.minscreenwidth-500 > *, .v-ui[width-range~="0px-550px"] .samplepanel.minscreenwidth-550 > *, .v-ui[width-range~="0px-600px"] .samplepanel.minscreenwidth-600 > *, .v-ui[width-range~="0px-650px"] .samplepanel.minscreenwidth-650 > *, .v-ui[width-range~="0px-700px"] .samplepanel.minscreenwidth-700 > *, .v-ui[width-range~="0px-750px"] .samplepanel.minscreenwidth-750 > *, .v-ui[width-range~="0px-800px"] .samplepanel.minscreenwidth-800 > *, .v-ui[width-range~="0px-850px"] .samplepanel.minscreenwidth-850 > *, .v-ui[width-range~="0px-900px"] .samplepanel.minscreenwidth-900 > * {
	visibility: hidden !important;
	z-index: -1;
}

.v-ui[width-range~="0px-450px"] .still .samplepanel.minscreenwidth-450:after, .v-ui[width-range~="0px-500px"] .still .samplepanel.minscreenwidth-500:after, .v-ui[width-range~="0px-550px"] .still .samplepanel.minscreenwidth-550:after, .v-ui[width-range~="0px-600px"] .still .samplepanel.minscreenwidth-600:after, .v-ui[width-range~="0px-650px"] .still .samplepanel.minscreenwidth-650:after, .v-ui[width-range~="0px-700px"] .still .samplepanel.minscreenwidth-700:after, .v-ui[width-range~="0px-750px"] .still .samplepanel.minscreenwidth-750:after, .v-ui[width-range~="0px-800px"] .still .samplepanel.minscreenwidth-800:after, .v-ui[width-range~="0px-850px"] .still .samplepanel.minscreenwidth-850:after, .v-ui[width-range~="0px-900px"] .still .samplepanel.minscreenwidth-900:after {
	position: absolute;
	top: 50% !important;
	left: 50% !important;
	margin-left: -100px;
	margin-top: -50px;
	content: "Unfortunately the sample is too large for your browser. Try a wider size.";
	display: block !important;
	width: 200px !important;
	height: 150px !important;
	background: #fff;
	border: none !important;
	color: #00b4f0;
	font-size: 17px;
	line-height: 1.3;
	text-align: center;
	padding: 30px 20px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	-webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-moz-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
}

.v-ie8 .samplepanel, .v-ie8 .siblingbutton, .v-ie8 .waiaria {
	position: absolute !important;
}

#browser {
	position: fixed;
}

#browser #browsercontent {
	position: relative;
	width: 100%;
	height: 100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	border-right: 0px solid transparent;
	background-image: url(../community/images/radial-gradient.png);
	background-size: 90%;
	background-position: center center;
	background-repeat: no-repeat;
	-webkit-transition-property: border-right-width;
	-ms-transition-property: border-right-width;
	transition-property: border-right-width;
	-webkit-transition-duration: 0.8s !important;
	transition-duration: 0.8s !important;
}

#browser #sidebarwrapper {
	position: fixed;
	right: 0;
	top: 0;
	height: 100%;
	width: 0;
	-webkit-perspective: 2000px;
	perspective: 2000px;
}

.v-ui[width-range~="0px-800px"] #browser #sidebarwrapper {
	position: static;
	display: inline;
}

.sidebar-open .v-ui[width-range~="801px-"] #browser #browsercontent {
	border-right-width: 400px;
}

.sidebar-open .v-ui[width-range~="801px-"] #browser #navigator, .sidebar-open .v-ui[width-range~="801px-"] #browser .samplepanel, .sidebar-open .v-ui[width-range~="801px-"] #browser .waiaria, .sidebar-open .v-ui[width-range~="801px-"] #browser .pre-release-notification {
	-ms-transform: translateX(-200px);
	-webkit-transform: translateX(-200px);
	transform: translateX(-200px);
}

.sidebar-open .v-ui[width-range~="801px-"] #browser .siblingbutton.nextbutton {
	-ms-transform: translateX(-400px);
	-webkit-transform: translateX(-400px);
	transform: translateX(-400px);
}

#browser > .sidebarbuttons {
	position: absolute;
	right: 0;
	top: 20px;
}

.v-ie #browser {
	-webkit-perspective: 2000px;
	perspective: 2000px;
}

.v-ie #sidebarwrapper {
	position: static;
	display: inline;
}

#browser, #sitemap .filterlayout {
	background-image: url(../community/images/top-gradient.png);
	background-repeat: repeat-x;
	-webkit-transition: background-position 200ms linear;
	-moz-transition: background-position 200ms linear;
	-ms-transition: background-position 200ms linear;
	-webkit-transform: translateZ(0);
}

.sampleselected #browser, .sampleselected #sitemap .filterlayout {
	background-position: 0 -6px;
}

#navigator {
	left: 50vw;
	top: 50%;
	width: 100%;
	height: 100%;
	position: absolute;
	-webkit-transition-duration: 0.8s !important;
	transition-duration: 0.8s !important;
	-webkit-transition-property: opacity, -webkit-transform;
	-moz-transition-property: opacity, -moz-transform;
	-ms-transition-property: opacity, -ms-transform;
	transition-property: opacity, transform;
}

#navigator .node {
	position: absolute;
	font-family: "HelveticaW01-RoundedBd", sans-serif;
}

#navigator .node, #navigator .node .wrapperpanel, #navigator .node .children, #navigator .node .titlelabel, #navigator .node .iconlabel, #navigator .node .content {
	-webkit-transition-property: opacity, -webkit-transform;
	-moz-transition-property: opacity, -moz-transform;
	-ms-transition-property: opacity, -ms-transform;
	transition-property: opacity, transform;
}

#navigator .node .content, #navigator .node .wrapperpanel {
	height: 0;
	overflow: visible;
}

#navigator .node .content {
	cursor: pointer;
}

#navigator .node .content .titlelabel {
	font-size: 10%;
	font-weight: bold;
	letter-spacing: -0.062em;
	text-align: center;
	position: relative;
}

.resizing #navigator .node .content .titlelabel {
	-webkit-transition-duration: 0 !important;
	transition-duration: 0 !important;
}

#navigator .node .content .iconlabel {
	font-size: 25%;
	font-family: sampler;
	position: absolute;
	-ms-transform: translateX(-50%) translateY(-50%);
	-webkit-transform: translateX(-50%) translateY(-50%);
	transform: translateX(-50%) translateY(-50%);
}

#navigator .node .content .titlelabel, #navigator .node .content .iconlabel {
	white-space: nowrap;
	line-height: 1;
}

#navigator .node .content.hasicon .titlelabel {
	-ms-transform: translateX(1.5em) translateY(-55%);
	-webkit-transform: translateX(1.5em) translateY(-55%);
	transform: translateX(1.5em) translateY(-55%);
	text-align: left;
}

.v-ie8 #navigator .node.previous > .wrapperpanel > .content:before, .v-ie9 #navigator .node.previous > .wrapperpanel > .content:before, .v-webkit #navigator .node.previous > .wrapperpanel > .content:before, .still #navigator .node.previous > .wrapperpanel > .content:before, #navigator .node.history > .wrapperpanel > .content:before {
	content: "\e007";
	font-size: 0.02em;
	font-family: sampler;
	color: rgba(255, 255, 255, 0.5);
	position: absolute;
	padding: 30px 100px 0;
	left: -107px;
}

#navigator .node.previous {
	-ms-transform: none !important;
	-webkit-transform: none !important;
	transform: none !important;
}

#navigator .node.previous > .wrapperpanel > .children > .child > .wrapperpanel > .content {
	opacity: 0;
}

.v-ie8 #navigator .node.previous > .wrapperpanel > .children > .child > .wrapperpanel > .content, .v-ie9 #navigator .node.previous > .wrapperpanel > .children > .child > .wrapperpanel > .content, .still #navigator .node.previous > .wrapperpanel > .children > .child > .wrapperpanel > .content {
	visibility: hidden;
}

.v-ch .still #navigator .node.previous > .wrapperpanel > .children > .child > .wrapperpanel > .content {
	display: block;
	visibility: hidden;
}

#navigator .node.previous > .wrapperpanel > .content:hover:before {
	color: #fff;
}

#navigator .node.previous > .wrapperpanel > .content .iconlabel {
	opacity: 0;
	color: #000;
	color: rgba(0, 0, 0, 0.25);
}

#navigator .node.previous > .wrapperpanel > .content .titlelabel {
	opacity: 0;
}

#navigator .node.selected .children {
	-ms-transform: scale(0.6) !important;
	-webkit-transform: scale(0.6) !important;
	transform: scale(0.6) !important;
}

.v-generated-body:not(.v-ff) #navigator .node.selected .child .children {
	-ms-transform: scale(0.2) !important;
	-webkit-transform: scale(0.2) !important;
	transform: scale(0.2) !important;
}

.v-ff #navigator .node.selected .child .children .content {
	-ms-transform: scale(0.2) !important;
	-webkit-transform: scale(0.2) !important;
	transform: scale(0.2) !important;
}

#navigator .node.selected .child .content {
	-ms-transform: scale(0.34) translateX(-50%) !important;
	-webkit-transform: scale(0.34) translateX(-50%) !important;
	transform: scale(0.34) translateX(-50%) !important;
}

#navigator .node.selected .child .content .titlelabel {
	opacity: 1;
}

#navigator .node.selected > .wrapperpanel > .content .iconlabel {
	color: #000;
	color: rgba(0, 0, 0, 0.25);
}

#navigator .node.selected > .wrapperpanel > .content .titlelabel {
	opacity: 0;
}

.still #navigator .node.selected > .wrapperpanel > .content .titlelabel {
	position: fixed;
	top: -1000px !important;
}

#navigator .node.child .children {
	opacity: 0;
}

#navigator .node.highlighted.child > .wrapperpanel > .content {
	color: #278bac;
	color: rgba(0, 0, 0, 0.42);
}

#navigator > .node.previous {
	-ms-transform: translateY(-0.5em) !important;
	-webkit-transform: translateY(-0.5em) !important;
	transform: translateY(-0.5em) !important;
}

.sampleselected #navigator {
	opacity: 0;
}

#navigator .node, #navigator .node .wrapperpanel, #navigator .node .content, #navigator .node .children {
	transform-origin: 0 0;
	-webkit-transform-origin: 0 0;
	-moz-transform-origin: 0 0;
	-ms-transform-origin: 0 0;
	-o-transform-origin: 0 0;
	-ms-transform: translateZ(-1px);
	-webkit-transform: translateZ(-1px);
	transform: translateZ(-1px);
}

body:not(.v-ie8) #navigator .node {
	left: 0 !important;
	top: 0 !important;
}

.v-ie8.sampleselected #navigator {
	display: none;
}

.v-ie8 #navigator {
	left: 50%;
	height: 1em;
	width: 1em;
}

.v-ie8 #navigator .node .wrapperpanel, .v-ie8 #navigator .node .children, .v-ie8 #navigator .node .content {
	position: absolute;
	left: 0;
	top: 0;
}

.v-ie8 #navigator .node .wrapperpanel, .v-ie8 #navigator .node .children {
	height: 100%;
	width: 100%;
}

.v-ie8 #navigator .node.previous {
	height: 100%;
	width: 100%;
	top: 0 !important;
	left: 0 !important;
}

.v-ie8 #navigator .node.previous > .wrapperpanel > .content .titlelabel, .v-ie8 #navigator .node.previous > .wrapperpanel > .content .iconlabel {
	display: none;
}

.v-ie8 #navigator .node.selected {
	width: 60%;
	height: 60%;
	top: 50% !important;
	left: 0 !important;
}

.v-ie8 #navigator .node.selected > .wrapperpanel > .content .iconlabel {
	-ms-filter: alpha(opacity=25);
	position: relative;
	margin-top: -50%;
	margin-left: -50%;
}

.v-ie8 #navigator .node.selected > .wrapperpanel > .content .titlelabel {
	display: none;
}

.v-ie8 #navigator .node.selected .child .titlelabel {
	font-size: 0.02em;
}

.v-ie8 #navigator .node.selected .child .iconlabel {
	margin-left: -1.2em;
	font-size: 0.05em;
	margin-top: -0.2em;
}

.v-ie8 #navigator .node.selected .child .children {
	display: none;
}

.v-ie8 #navigator > .node.previous {
	top: -50% !important;
}

.v-ie8 #navigator > .node.selected {
	top: 0% !important;
}

#sidebar {
	position: fixed;
	color: #333;
	right: 0;
	top: 0;
	height: 100%;
	background-size: cover;
	padding-top: 64px;
	z-index: 2;
	background-color: #fff;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	font-family: "Helvetica W01 Light", sans-serif;
	line-height: 1.4;
	-webkit-transition: -webkit-transform 0.8s, opacity 0s 0.8s;
	-ms-transition: -ms-transform 0.8s, opacity 0s 0.8s;
	transition: transform 0.8s, opacity 0s 0.8s;
	-webkit-transform-origin: 100% 0;
	-ms-transform-origin: 100% 0;
	transform-origin: 100% 0;
	-ms-transform: rotateY(-120deg);
	-webkit-transform: rotateY(-120deg);
	transform: rotateY(-120deg);
	width: 400px;
	opacity: 0;
}

.v-ie #sidebar {
	position: absolute;
}

.v-ui[width-range~="0px-800px"] #sidebar {
	-webkit-transition: -webkit-transform 500ms, opacity 0s 500ms;
	-ms-transition: -ms-transform 500ms, opacity 0s 500ms;
	transition: transform 500ms, opacity 0s 500ms;
}

.v-ui[width-range~="0px-800px"] #sidebar {
	width: 100%;
	-ms-transform: translateY(100%);
	-webkit-transform: translateY(100%);
	transform: translateY(100%);
	background-color: transparent;
}

.v-ui[width-range~="0px-800px"] #sidebar .sidebar-header {
	visibility: hidden;
}

.v-ui[width-range~="801px-"] #sidebar {
	-webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-moz-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	border-left: 1px solid #dfdfdf;
}

#sidebar input {
	font-family: inherit;
	color: inherit;
}

.sidebar-open #sidebar {
	-webkit-transition: -webkit-transform 0.8s;
	-ms-transition: -ms-transform 0.8s;
	transition: transform 0.8s;
	-ms-transform: rotateY(0deg) !important;
	-webkit-transform: rotateY(0deg) !important;
	transform: rotateY(0deg) !important;
	opacity: 1;
}

.sidebar-open .v-ui[width-range~="0px-800px"] #sidebar {
	-webkit-transition: -webkit-transform 500ms;
	-ms-transition: -ms-transform 500ms;
	transition: transform 500ms;
}

#sidebar .sidebar-header {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	font-family: "HelveticaW01-RoundedBd", sans-serif;
	color: #666666;
	font-size: 18px;
	width: 100%;
	height: 64px;
	top: 0;
	padding: 21px;
	position: absolute;
	-webkit-transition: opacity 150ms, visibility 150ms, -webkit-transform 150ms;
	transition: opacity 150ms, visibility 150ms, transform 150ms;
}

#sidebar .sidebar-header.leftfade {
	opacity: 0;
	visibility: hidden;
	-ms-transform: translateX(-20px);
	-webkit-transform: translateX(-20px);
	transform: translateX(-20px);
}

#sidebar .sidebar-header.rightfade {
	opacity: 0;
	visibility: hidden;
	-ms-transform: translateX(20px);
	-webkit-transform: translateX(20px);
	transform: translateX(20px);
}

#sidebar #sidebar-content {
	width: 100%;
	height: 100%;
	position: relative;
	background-color: #fff;
}

#sidebar .sidebar-content-content {
	position: absolute;
	top: 0;
	left: 0;
	visibility: hidden;
	opacity: 0;
	-webkit-transition: opacity 300ms, visibility 300ms;
	transition: opacity 300ms, visibility 300ms;
}

#sidebar .sidebar-content-content.opencontent {
	visibility: visible;
	opacity: 1;
	z-index: 10;
}

#sidebar #edit, #sidebar #info {
	width: 100%;
	height: 100%;
}

@media all and (max-width: 800px) {
	.sidebar-open .v-window {
		visibility: hidden !important;
	}
	.sidebar-open .v-window.v-colorpicker-popup {
		visibility: visible !important;
	}
}

.v-ie8 #sidebar, .v-ie9 #sidebar {
	-ms-transform: none !important;
	-webkit-transform: none !important;
	transform: none !important;
	display: none;
}

.v-ie8.sidebar-open #sidebar, .v-ie9.sidebar-open #sidebar {
	display: block;
}

.v-ie:not(.sidebar-open) #sidebar #info:not(.opencontent) {
	display: none;
}

#menu {
	height: 100%;
	width: 100%;
	overflow: hidden;
	position: relative;
}

#menu .inputprompt {
	content: "Search...";
	position: absolute;
	font-style: italic;
	top: 22px;
	left: 0;
	padding-left: 20px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	color: #ccc;
	width: 100%;
	line-height: 1;
	z-index: 10;
}

#menu .inputprompt:after {
	position: absolute;
	right: 18px;
	top: -3px;
	font-family: sampler;
	content: "\e001";
	font-size: 26px;
	font-style: normal;
	color: #666;
}

#menu.searching .inputprompt {
	visibility: hidden;
}

#menu #searchbox {
	font-size: 18px;
	width: 100%;
	height: 20px;
	padding: 18px 21px;
	outline: none;
	top: 0;
	position: relative;
	border: none;
	border-top: 2px solid #d9d9d9;
	border-bottom: 2px solid #d9d9d9;
	background-color: transparent;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
	z-index: 11;
	border-radius: 0;
}

#menu .clearsearch {
	cursor: pointer;
	position: absolute;
	z-index: 12;
	right: 20px;
	top: 19px;
	visibility: hidden;
}

#menu .clearsearch:before {
	color: #666;
	content: "\00D7";
	font-weight: 100;
	font-size: 30px;
	line-height: 17px;
}

#menu.searching .clearsearch {
	visibility: visible;
}

#menu #listing, #menu #searchresults {
	position: absolute;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	top: 0;
	border-top: 60px solid transparent;
	-ms-transform: translateZ(0);
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-transition: -webkit-transform 500ms;
	-moz-transition: -moz-transform 500ms;
	-ms-transition: -ms-transform 500ms;
	transition: transform 500ms;
}

#menu #searchresults {
	left: 100%;
}

#menu.searching #listing, #menu.searching #searchresults {
	-ms-transform: translateX(-100%);
	-webkit-transform: translateX(-100%);
	transform: translateX(-100%);
}

.v-ie8 #searchresults {
	left: 0 !important;
	visibility: hidden;
}

.v-ie8 #menu.searching #listing {
	visibility: hidden;
}

.v-ie8 #menu.searching .toplevelcategory-header {
	visibility: hidden !important;
}

.v-ie8 #menu.searching #searchresults {
	visibility: visible;
}

#listing {
	height: 100%;
	width: 100%;
}

#listing .categoryscrollpanel {
	height: 100%;
	width: 100%;
}

#listing .fakeheaderwrapper {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	z-index: 1;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	border-right: 0px solid transparent;
}

#listing .fakeheaderwrapper .toplevelcategory-header {
	z-index: 1;
	margin-top: 0;
	-ms-transform: translateZ(0);
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
}

.v-sa60 #listing .toplevelcategory-header, .v-sa61 #listing .toplevelcategory-header, .v-sa70 #listing .toplevelcategory-header, .v-sa80 #listing .toplevelcategory-header {
	position: -webkit-sticky;
	top: 0;
	left: 0;
	width: 100%;
	padding-right: 27px;
	margin-left: -20px;
}

.v-sa60 #listing .fakeheaderwrapper, .v-sa61 #listing .fakeheaderwrapper, .v-sa70 #listing .fakeheaderwrapper, .v-sa80 #listing .fakeheaderwrapper {
	visibility: hidden;
}

#listing .toplevelcategory-header {
	background-color: #00b4f0;
	position: absolute;
	left: 0;
	right: 2px;
	margin-top: -60px;
	padding: 10px 0 6px;
	margin-right: 8px;
	z-index: 2;
	-ms-transform: translateZ(1px);
	-webkit-transform: translateZ(1px);
	transform: translateZ(1px);
}

#listing .toplevelcategory-header .toplevelcategory-anchor {
	font-family: "HelveticaW01-RoundedBd", sans-serif;
	font-size: 22px;
	text-decoration: none;
	display: inline-block;
	vertical-align: middle;
	color: #fff;
	cursor: pointer;
}

#listing .toplevelcategory-header .toplevelcategory-anchor .icon {
	font-family: sampler;
	padding: 0 18px;
	font-size: 40px;
	display: inline-block;
	vertical-align: middle;
}

#listing .toplevelcategory-header .upbutton, #listing .toplevelcategory-header .downbutton {
	cursor: pointer;
	position: absolute;
	padding: 12px;
	top: 11px;
}

#listing .toplevelcategory-header .upbutton:before, #listing .toplevelcategory-header .downbutton:before {
	content: "";
	font-size: 0;
	border: 6px solid transparent;
}

#listing .toplevelcategory-header .downbutton {
	right: 2px;
}

#listing .toplevelcategory-header .downbutton:before {
	position: relative;
	top: 2px;
	border-top-color: #fff;
	border-top-width: 10px;
}

#listing .toplevelcategory-header .upbutton {
	right: 50px;
}

#listing .toplevelcategory-header .upbutton:before {
	position: relative;
	top: -8px;
	border-bottom-color: #fff;
	border-bottom-width: 10px;
}

#listing .toplevelcategory-header.green {
	background-color: #40b527;
}

#listing .toplevelcategory-header.orange {
	background-color: #ee7c08;
}

#listing .toplevelcategory-header.pink {
	background-color: #e61e6e;
}

#listing .last .downbutton, #listing .first .upbutton {
	opacity: 0.7;
}

#listing .toplevelcategory {
	position: relative;
	padding: 60px 17px 10px;
}

#listing .toplevelcategory:after {
	content: "";
	width: 10px;
	height: 100%;
	position: absolute;
	right: 0;
	top: 0;
	background-color: #00b4f0;
}

#listing .toplevelcategory.green:after {
	background-color: #40b527;
}

#listing .toplevelcategory.orange:after {
	background-color: #ee7c08;
}

#listing .toplevelcategory.pink:after {
	background-color: #e61e6e;
}

#listing .toplevelcategory .samplelink.selected {
	background-color: #00b4f0;
}

#listing .toplevelcategory.green .samplelink.selected {
	background-color: #40b527;
}

#listing .toplevelcategory.orange .samplelink.selected {
	background-color: #ee7c08;
}

#listing .toplevelcategory.pink .samplelink.selected {
	background-color: #e61e6e;
}

#listing .toplevelcategory > .samplelink:nth-child(2), #listing .toplevelcategory > .samplelink:nth-child(3) {
	margin-top: 20px;
}

#listing .secondlevelcategory-anchor, #listing .lowestlevelcategory-anchor {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	width: 100%;
	display: inline-block;
	font-size: 18px;
	color: #676767;
	text-decoration: none;
	padding: 43px 5px 10px;
	cursor: pointer;
}

#listing .secondlevelcategory .lowestlevelcategory-anchor {
	text-align: right;
	font-size: 16px;
	color: #666666;
	padding-top: 25px;
}

#listing .secondlevelcategory .lowestlevelcategory:nth-child(2) .lowestlevelcategory-anchor {
	padding-top: 0 !important;
}

#listing .samplelink {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	width: 50%;
	height: 103px;
	border-left: 5px solid #fff;
	border-right: 5px solid #fff;
	border-bottom: 3px solid #fff;
	text-decoration: none;
	text-align: center;
	color: #404040;
	line-height: 1;
	font-size: 14px;
	overflow: hidden;
	background-color: #f1f1f1;
	cursor: pointer;
	position: relative;
}

#listing .samplelink .icon {
	font-family: sampler;
	font-size: 63px;
	display: inline-block;
	width: 100%;
	color: #808080;
	margin: 8px 0 3px;
}

#listing .samplelink .title {
	position: absolute;
	left: 0;
	bottom: 5px;
	width: 100%;
}

#listing .samplelink:hover, #listing .samplelink:hover .icon {
	color: #525252;
}

#listing .samplelink.selected, #listing .samplelink.selected .icon {
	color: #fff;
}

#searchresults {
	height: 100%;
	width: 100%;
	overflow: auto;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

#searchresults .searchresult {
	color: #404040;
	font-size: 18px;
	padding: 20px 0;
	line-height: 18px;
	position: relative;
	cursor: pointer;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
}

#searchresults .searchresult.even {
	background-color: #f2f2f2;
}

#searchresults .searchresult .icon {
	color: #808080;
	display: inline-block;
	width: 82px;
	font-family: sampler;
	font-size: 37px;
	vertical-align: middle;
	text-align: center;
}

#searchresults .searchresult:after {
	content: "";
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;
	width: 10px;
	background-color: #00b4f0;
}

#searchresults .searchresult.green:after {
	background-color: #40b527;
}

#searchresults .searchresult.orange:after {
	background-color: #ee7c08;
}

#searchresults .searchresult.pink:after {
	background-color: #e61e6e;
}

#searchresults .backbutton {
	cursor: pointer;
	text-align: center;
	padding: 30px 0 40px;
	color: #404040;
	font-size: 18px;
}

#searchresults .backbutton:before {
	content: "";
	display: inline-block;
	margin-right: 5px;
	font-size: 0;
	height: 0;
	width: 0;
	border: 5px solid transparent;
	border-right-color: #676767;
}

.sidebarbuttons.sidebarbuttons {
	height: 25px;
	z-index: 3;
}

.sidebarbuttons.sidebarbuttons .sidebarbutton {
	-webkit-transition: color 0.8s;
	-ms-transition: color 0.8s;
	transition: color 0.8s;
	width: 30px;
	height: 30px;
	padding-right: 15px;
	display: inline-block;
	cursor: pointer;
	visibility: hidden;
}

.sidebarbuttons.sidebarbuttons .sidebarbutton:before {
	font-family: sampler;
	font-size: 30px;
	line-height: 1;
	padding-left: 7px;
}

.propertyeditoravailable .sidebarbuttons.sidebarbuttons .sidebarbutton.sidebarbutton-editor {
	visibility: visible;
}

.sidebarbuttons.sidebarbuttons .sidebarbutton.sidebarbutton-editor:before {
	content: "\e002";
}

.infoavailable .sidebarbuttons.sidebarbuttons .sidebarbutton.sidebarbutton-info {
	visibility: visible;
}

.sidebarbuttons.sidebarbuttons .sidebarbutton.sidebarbutton-info:before {
	content: "\e601";
}

.sidebarbuttons.sidebarbuttons .sidebarbutton.sidebarbutton-menu {
	visibility: visible;
	margin-right: 10px;
}

.sidebarbuttons.sidebarbuttons .sidebarbutton.sidebarbutton-menu:before {
	content: "\e600";
}

.sidebar-open .sidebarbuttons.sidebarbuttons, .sampleselected .sidebarbuttons.sidebarbuttons {
	color: #808080;
}

.sidebar-open .sidebarbuttons.sidebarbuttons .sidebarbutton:hover, .sampleselected .sidebarbuttons.sidebarbuttons .sidebarbutton:hover {
	color: #bfbfbf;
}

.sidebar-open .sidebarbuttons.sidebarbuttons .sidebarbutton.selected, .sampleselected .sidebarbuttons.sidebarbuttons .sidebarbutton.selected {
	color: #00b4f0 !important;
}

.sidebar-open:not(.sampleselected) .v-ui[width-range~="0px-800px"] .sidebarbuttons.sidebarbuttons .sidebarbutton.selected {
	color: #fff !important;
}

.v-ui #breadcrumbs {
	position: absolute;
	top: 21px;
	left: 28px;
	font-size: 15px;
	font-weight: 300;
	font-family: "Helvetica W01 Light", sans-serif;
	line-height: 1;
}

#breadcrumbs .gwt-Label {
	margin-right: 7px;
	padding-bottom: 2px;
	color: #fff;
	color: rgba(255, 255, 255, 0.5);
}

#breadcrumbs .gwt-Label.crumb {
	cursor: pointer;
}

.v-ui[width-range~="0px-800px"] #breadcrumbs .crumb, .v-ui[width-range~="0px-800px"] #breadcrumbs .spacer {
	visibility: hidden;
}

.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs .logo {
	-ms-transform: rotateY(180deg);
	-webkit-transform: rotateY(180deg);
	transform: rotateY(180deg);
}

.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs .backbutton {
	-ms-transform: rotateY(0deg);
	-webkit-transform: rotateY(0deg);
	transform: rotateY(0deg);
}

#breadcrumbs .logo, #breadcrumbs .backbutton, #breadcrumbs .logowrapper {
	width: 108px;
	height: 27px;
	position: absolute;
	z-index: 5;
	-webkit-transition: -webkit-transform 500ms;
	transition: transform 500ms;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-transform-origin: 50% 0;
	-ms-transform-origin: 50% 0;
	transform-origin: 50% 0;
}

#breadcrumbs .logowrapper {
	margin-right: 15px;
}

#breadcrumbs .backbutton {
	-ms-transform: rotateY(-180deg);
	-webkit-transform: rotateY(-180deg);
	transform: rotateY(-180deg);
	text-align: center;
	cursor: pointer;
	border: 2px solid #fff;
	border-color: rgba(255, 255, 255, 0.3);
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	line-height: 1.3;
	font-size: 14px;
	font-weight: bold;
	color: #fff;
	width: 80px;
	height: auto;
	padding: 1px 0 1px 8px;
	margin-left: 13px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

#breadcrumbs .backbutton:before {
	content: "";
	position: absolute;
	border: 3px solid transparent;
	left: 9px;
	top: 7px;
	border-right-color: #fff;
	border-right-width: 5px;
}

#breadcrumbs .logowrapper {
	position: relative;
}

#breadcrumbs .gwt-Label.crumb.last {
	color: #fff;
	cursor: default;
	font-weight: bold;
	font-family: "HelveticaW01-RoundedBd", sans-serif;
}

#breadcrumbs .gwt-Label.crumb:hover {
	color: #fff;
}

#breadcrumbs .gwt-Label.crumb.last {
	color: #fff;
}

#breadcrumbs .logo {
	background: url(../community/images/wfm_white.svg) no-repeat;
	background-size: 106px 26px;
	cursor: pointer;
}

.v-ie8 #breadcrumbs .logo {
	background: url(../community/images/logo.png) left top no-repeat;
}

.sampleselected #breadcrumbs .gwt-Label {
	color: #8c8c87;
}

.sampleselected #breadcrumbs .gwt-Label.crumb:hover, .sampleselected #breadcrumbs .gwt-Label.crumb.last {
	color: #000;
}

.sampleselected #breadcrumbs .backbutton {
	color: #656565;
	border-color: #dadada;
}

.sampleselected #breadcrumbs .backbutton:before {
	border-right-color: #656565;
}

.sampleselected #breadcrumbs .logo {
	background-image: url(../community/images/wfm_color.svg);
}

.v-ie8.sampleselected #breadcrumbs .logo {
	background-image: url(../community/images/logo-colored.png);
}

.orange #breadcrumbs .gwt-Label {
	color: #fff;
	color: rgba(255, 255, 255, 0.5);
}

.orange #breadcrumbs .gwt-Label.crumb:hover, .orange #breadcrumbs .gwt-Label.crumb.last {
	color: #fff;
}

.orange #breadcrumbs .logo {
	background: url(../community/images/logo.png) left top no-repeat;
}

.v-ie8 #breadcrumbs .backbutton, .v-ie9 #breadcrumbs .backbutton {
	visibility: hidden;
}

.v-ie8.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs .backbutton, .v-ie9.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs .backbutton {
	visibility: visible;
}

.v-ie8.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs .logo, .v-ie9.sidebar-open .v-ui[width-range~="0px-800px"] #breadcrumbs .logo {
	visibility: hidden;
}

.tabpanel {
	height: 100%;
	width: 100%;
	padding-top: 55px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.tabpanel .tabpanel-tabs {
	background-color: #00b4f0;
	padding: 10px 18px 0;
	position: absolute;
	width: 100%;
	top: 0;
	left: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.tabpanel .tabpanel-tab {
	color: #fff;
	font-family: "HelveticaW01-RoundedBd", sans-serif;
	font-size: 18px;
	background-color: #0099cc;
	display: inline-block;
	-webkit-border-radius: 5px 5px 0 0;
	-moz-border-radius: 5px 5px 0 0;
	border-radius: 5px 5px 0 0;
	width: 50%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	text-align: center;
	border: 2px solid #00b4f0;
	border-bottom: none;
	line-height: 2.4;
	cursor: pointer;
}

.tabpanel .tabpanel-tab.selected {
	background-color: #fff;
	color: #00b4f0;
}

.tabpanel .tabpanel-content {
	height: 100%;
	overflow: auto;
}

#description {
	padding: 0 20px;
	display: inline-block;
	width: 100%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding-bottom: 50px;
	background-color: #fff;
	z-index: 1;
	overflow: hidden;
	-webkit-transition-property: -webkit-transform;
	-moz-transition-property: -moz-transform;
	-ms-transition-property: -ms-transform;
	transition-property: transform;
	-webkit-transform-origin: 0 0;
	-ms-transform-origin: 0 0;
	transform-origin: 0 0;
	-webkit-transition-duration: 0.8s;
	transition-duration: 0.8s;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.sidebar-open .description-selected #description {
	overflow: auto;
}

#description .related:before, #description .api:before {
	margin: 35px 0 10px;
	display: block;
}

#description .related a, #description .api a {
	display: block;
	text-decoration: none;
	padding: 9px 10px;
	line-height: 1;
	color: #00b4f0;
	font-size: 14px;
}

#description .related a.even, #description .api a.even {
	background-color: #f2f2f2;
}

#description .related:before {
	content: "Related";
}

#description .api:before {
	content: "API";
}

#description .gwt-HTML {
	margin-top: 20px;
}

#infocontent .source {
	padding: 20px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	height: 100%;
	width: 100%;
	background-color: #fff;
}

.v-ui[width-range~="801px-"] #infocontent .source {
	width: 200% !important;
	margin-left: -100%;
	-webkit-transition-property: -webkit-transform;
	-moz-transition-property: -moz-transform;
	-ms-transition-property: -ms-transform;
	transition-property: transform;
	-webkit-transform-origin: 50% 0;
	-ms-transform-origin: 50% 0;
	transform-origin: 50% 0;
	-webkit-transition-duration: 0.8s;
	transition-duration: 0.8s;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

#infocontent .source pre {
	-webkit-overflow-scrolling: auto;
	background-color: #fff;
	height: 100%;
	width: 100%;
	margin: 0;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	visibility: hidden;
	overflow: hidden;
	border: 1px solid #eee;
}

.sidebar-open .source-selected #infocontent .source pre {
	overflow: auto;
}

#infocontent .source pre.prettyprinted {
	visibility: visible;
}

#infocontent .source li {
	list-style-type: inherit;
	color: #999;
}

#infocontent .source li.L1, #infocontent .source li.L3, #infocontent .source li.L5, #infocontent .source li.L7, #infocontent .source li.L9 {
	background-color: transparent;
}

#infocontent #sourcecode-clone-wrapper {
	height: 100%;
	width: 100%;
	position: absolute;
	top: 0;
	right: 0;
	overflow: hidden;
}

#infocontent #sourcecode-clone {
	z-index: 1;
}

#infocontent #sourcecode-clone pre {
	overflow: hidden;
}

.sidebar-open #infocontent pre {
	visibility: hidden !important;
}

.sidebar-open .opencontent #infocontent pre {
	visibility: visible !important;
}

#info {
	position: static !important;
	overflow: hidden;
}

#info #infocontent {
	height: 100%;
	width: 100%;
	position: absolute;
	top: 0;
	margin-top: 55px;
	border-bottom: 55px solid transparent;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-user-select: text;
	-moz-user-select: text;
	-ms-user-select: text;
	user-select: text;
}

.v-ui[width-range~="801px-"] .resizing #info #infocontent, .v-ui[width-range~="801px-"] .resizing #info #sourceview, .v-ui[width-range~="801px-"] #info.folding #infocontent, .v-ui[width-range~="801px-"] #info.folding #sourceview {
	-webkit-perspective: 2000px;
	perspective: 2000px;
}

#info #description, #info #sourceview {
	position: absolute;
	top: 0;
	height: 100%;
	width: 100%;
}

#info.source-selected:not(.folding) {
	overflow: visible !important;
}

.sidebar-open .v-ui[width-range~="801px-"] #info.folding #sourceview pre, .sidebar-open .v-ui[width-range~="801px-"] #info.folding #description {
	overflow: hidden !important;
}

.sidebar-open #info #sourcecode-clone-wrapper {
	top: 100%;
}

.v-ui[width-range~="801px-"] #info.folding #sourcecode-clone-wrapper, .resizing #info #sourcecode-clone-wrapper {
	top: 0;
}

.v-ui[width-range~="801px-"] #info #sourcecode {
	-ms-transform: rotateY(180deg);
	-webkit-transform: rotateY(180deg);
	transform: rotateY(180deg);
}

.sidebar-open .v-ui[width-range~="801px-"] #info.source-selected #description {
	-ms-transform: rotateY(-180deg);
	-webkit-transform: rotateY(-180deg);
	transform: rotateY(-180deg);
}

.sidebar-open .v-ui[width-range~="801px-"] #info.source-selected #sourcecode {
	-ms-transform: rotateY(0);
	-webkit-transform: rotateY(0);
	transform: rotateY(0);
}

.v-ui[width-range~="0px-800px"] #info.description-selected #sourceview, .v-ui[width-range~="0px-800px"] #info.source-selected #description {
	display: none;
}

#info .tabpanel-content {
	overflow: visible !important;
}

.v-ie8 #description, .v-ie9 #description {
	display: none;
}

.v-ie8 .description-selected #sourceview, .v-ie9 .description-selected #sourceview {
	display: none;
}

.v-ie8 .description-selected #description, .v-ie9 .description-selected #description {
	display: block;
}

#edit #theme-editor #themeselect {
	border: 1px solid #d9d9d9;
	border-radius: 4px;
	padding: 8px;
	overflow: hidden;
}

#edit #theme-editor #themeselect input {
	border: none;
	font-size: 18px;
	color: #404040;
	cursor: default;
}

#edit #theme-editor #themeselect .v-filterselect-button {
	display: none;
}

#edit .allpropertieslabel {
	background-color: #808080;
	font-size: 18px;
	font-family: "HelveticaW01-RoundedBd", sans-serif;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding: 20px;
	color: #fff;
}

#edit .v-formlayout {
	padding: 17px 9px;
}

#edit .v-formlayout .v-formlayout-captioncell, #edit .v-formlayout .v-formlayout-errorcell, #edit .v-formlayout .v-formlayout-contentcell {
	border-top: 1px solid #d9d9d9;
}

#edit .v-formlayout .v-formlayout-captioncell {
	padding: 3px 0 0 !important;
	color: #404040;
	vertical-align: top;
}

#edit .v-formlayout .v-select.rightborder select, #edit .v-formlayout .v-formlayout-errorcell {
	border-right: 1px solid #d9d9d9;
}

#edit .v-formlayout .v-formlayout-row {
	height: 31px;
}

#edit .v-formlayout .v-textfield, #edit .v-formlayout .v-textfield input, #edit .v-formlayout .v-select select, #edit .v-formlayout .v-select select option, #edit .v-formlayout .v-textarea {
	background: transparent;
	border: none;
	outline: none;
	font-size: 14px !important;
	color: #404040;
}

#edit .v-formlayout .v-formlayout-errorcell, #edit .v-formlayout .v-formlayout-contentcell {
	padding: 0 !important;
	overflow: hidden;
}

#edit .v-formlayout .v-formlayout-contentcell {
	padding-left: 10px !important;
}

#edit .v-formlayout > table {
	border-bottom: 1px solid #d9d9d9;
}

.sidebarcombobox {
	position: relative;
}

.sidebarcombobox input {
	border: none;
	font-size: 14px;
}

.sidebarcombobox .v-icon {
	display: none;
}

.sidebarcombobox .sidebarcombobox-button {
	display: none;
}

.sidebarcombobox:after {
	content: "";
	position: absolute;
	font-size: 0;
	border: 3px solid transparent;
	border-top-color: #868686;
	border-top-width: 6px;
	top: 50%;
	margin-top: -3px;
	right: 21px;
	pointer-events: none;
}

.sidebarcombobox.rightborder:before {
	content: "";
	border-right: 1px solid #d9d9d9;
	position: absolute;
	height: 50px;
	top: -14px;
	right: 6px;
}

.sidebardatefield-popup, .sidebarcombobox-suggestpopup {
	background: #fff;
	-webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	-moz-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
	border: 1px solid #dfdfdf;
	font: 400 14px/1 Helvetica, Arial, Sans-Serif;
	color: #404040;
}

.sidebarcombobox-suggestpopup {
	font-size: 16px;
	line-height: 1.2;
	cursor: pointer;
	font-family: "Helvetica W01 Light", sans-serif;
}

.sidebarcombobox-suggestpopup .gwt-MenuItem-selected {
	background-color: #00b4f0;
	color: #fff;
}

.sidebarcombobox-suggestpopup .sidebarcombobox-prevpage-off, .sidebarcombobox-suggestpopup .sidebarcombobox-nextpage-off, .sidebarcombobox-suggestpopup .sidebarcombobox-prevpage, .sidebarcombobox-suggestpopup .sidebarcombobox-nextpage {
	font-weight: bold;
	color: #00b4f0;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel {
	font-size: 16px;
	text-align: center;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel:focus {
	outline: none;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day {
	box-sizing: border-box;
	width: 27px;
	height: 24px;
	border: 1px solid transparent;
	line-height: 24px;
	text-align: center;
	font-size: 14px;
	background: #fff;
	border-radius: 1px;
	-webkit-transition: color 200ms;
	-moz-transition: color 200ms;
	transition: color 200ms;
	display: inline-block;
	box-sizing: border-box;
	cursor: pointer;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day:hover {
	color: #00b4f0;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day-offmonth {
	color: #a3a3a3;
	background: transparent;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day-today {
	color: #1a1a1a;
	font-weight: 600;
	border-color: #b3b3b3;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day.sidebardatefield-calendarpanel-day-selected, .sidebardatefield-popup .sidebardatefield-calendarpanel-day.sidebardatefield-calendarpanel-day-selected:hover {
	color: #c1e5f1;
	background: #00b4f0;
	border: none;
	font-weight: 600;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day.sidebardatefield-calendarpanel-day-focused {
	position: relative;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-day.sidebardatefield-calendarpanel-day-outside-range, .sidebardatefield-popup .sidebardatefield-calendarpanel-day.sidebardatefield-calendarpanel-day-outside-range:hover {
	color: #a3a3a3;
	cursor: not-allowed;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-weekdays {
	height: 24px;
	color: rgba(135, 135, 135, 0.85);
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-weekdays strong {
	font: inherit;
	font-size: 14px;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-header {
	white-space: nowrap;
}

.sidebardatefield-popup td[class*="year"] button, .sidebardatefield-popup td[class*="month"] button {
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
	border: none;
	background: transparent;
	padding: 0;
	margin: 0;
	cursor: pointer;
	color: transparent;
	font-size: 0;
	width: 17px;
	height: 23px;
	outline: none;
	position: relative;
	vertical-align: middle;
}

.sidebardatefield-popup td[class*="year"] button:before, .sidebardatefield-popup td[class*="month"] button:before {
	color: #a3a3a3;
	font-size: 21px;
	line-height: 24px;
	-webkit-transition: color 200ms;
	-moz-transition: color 200ms;
	transition: color 200ms;
}

.sidebardatefield-popup td[class*="year"] button:hover:before, .sidebardatefield-popup td[class*="month"] button:hover:before {
	color: #fff;
}

.sidebardatefield-popup td[class*="year"] button.outside-range, .sidebardatefield-popup td[class*="month"] button.outside-range {
	cursor: default;
	opacity: 0.3;
	filter: alpha(opacity=30.0) ;
}

.sidebardatefield-popup td[class*="year"] button.outside-range:hover:before, .sidebardatefield-popup td[class*="month"] button.outside-range:hover:before {
	color: #a3a3a3;
}

.sidebardatefield-popup .v-button-prevyear:before {
	font-family: ThemeIcons;
	content: "\f100";
}

.sidebardatefield-popup .v-button-prevmonth:before {
	font-family: ThemeIcons;
	content: "\f104";
}

.sidebardatefield-popup .v-button-nextyear:before {
	font-family: ThemeIcons;
	content: "\f101";
}

.sidebardatefield-popup .v-button-nextmonth:before {
	font-family: ThemeIcons;
	content: "\f105";
}

.sidebardatefield-popup td.sidebardatefield-calendarpanel-month {
	width: 136px;
	color: #00b4f0;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-year td.sidebardatefield-calendarpanel-month {
	width: 68px;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-weeknumber, .sidebardatefield-popup .sidebardatefield-calendarpanel-weekdays.sidebardatefield-calendarpanel-weeknumbers td:first-child {
	width: 27px;
	color: rgba(135, 135, 135, 0.85);
	font-size: 14px;
	display: inline-block;
	text-align: left;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-weeknumber {
	position: relative;
}

.sidebardatefield-popup .sidebardatefield-calendarpanel-weeknumbers .v-first:before {
	content: "";
	position: absolute;
	top: 34px;
	bottom: 0;
	left: 0;
	width: 32px;
	border-top: 1px solid #d9d9d9;
	border-right: 1px solid #d9d9d9;
	border-top-right-radius: 1px;
	border-bottom-left-radius: 1px;
	background: #fafafa;
}

.sidebardatefield-popup td.sidebardatefield-calendarpanel-time {
	width: 100%;
	font-size: 14px;
}

.sidebardatefield-popup td.sidebardatefield-calendarpanel-time .v-label {
	display: inline;
	margin: 0 0.1em;
	font-weight: 400;
}

#edit .sidebarcheckbox {
	position: relative;
	line-height: 17px;
	white-space: nowrap;
}

#edit .sidebarcheckbox.v-has-width label {
	white-space: normal;
}

:root #edit .sidebarcheckbox {
	padding-left: 23px;
}

:root #edit .sidebarcheckbox label {
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	cursor: pointer;
	display: inline-block;
}

:root #edit .sidebarcheckbox > input {
	position: absolute;
	clip: rect(0, 0, 0, 0);
	left: 0.2em;
	top: 0.2em;
	z-index: 0;
	margin: 0;
}

:root #edit .sidebarcheckbox > input:focus ~ label:before {
	border: 1px solid #d9d9d9;


}

:root #edit .sidebarcheckbox > input ~ label:before, :root #edit .sidebarcheckbox > input ~ label:after {
	content: "";
	display: inline-block;
	box-sizing: border-box;
	width: 17px;
	height: 17px;
	position: absolute;
	top: 0;
	left: 0;
	border-radius: 1px;
	font-size: 13px;
	text-align: center;
}

:root #edit .sidebarcheckbox > input ~ label:before {
	height: 17px;
	padding: 0 7px;
	color: #1a1a1a;
	font-weight: 400;


	border-radius: 1px;
	border: 1px solid #d9d9d9;
	background: #fff;


	padding: 0;
	height: 17px;
}

:root #edit .sidebarcheckbox > input ~ label:after {
	content: "\f00c";
	font-family: ThemeIcons;
	color: transparent;
	-webkit-transition: color 100ms;
	-moz-transition: color 100ms;
	transition: color 100ms;
}

:root #edit .sidebarcheckbox > input:active ~ label:after {
	background-color: rgba(128, 128, 128, 0.2);
}

:root #edit .sidebarcheckbox > input:checked ~ label:after {
	color: #00b4f0;
}

#edit .sidebarcheckbox > .v-icon, #edit .sidebarcheckbox > label .v-icon {
	margin: 0 6px 0 3px;
	min-width: 1em;
	cursor: pointer;
}

#edit .sidebarcheckbox.v-disabled  > label, #edit .sidebarcheckbox.v-disabled  > .v-icon {
	cursor: default;
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebarcheckbox.v-disabled  > label > .v-icon {
	cursor: default;
}

:root #edit .sidebarcheckbox.v-disabled > input:active ~ label:after {
	background: transparent;
}

#edit .sidebarcheckbox.v-readonly  > label, #edit .sidebarcheckbox.v-readonly  > .v-icon {
	cursor: default;
}

#edit .sidebarcheckbox.v-readonly  > label > .v-icon {
	cursor: default;
}

:root #edit .sidebarcheckbox.v-readonly > input:active ~ label:after {
	background: transparent;
}

:root #edit .sidebarcheckbox.v-readonly > input ~ label:after {
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebarcheckbox-small {
	position: relative;
	line-height: 16px;
	white-space: nowrap;
	font-size: 14px;
}

#edit .sidebarcheckbox-small.v-has-width label {
	white-space: normal;
}

:root #edit .sidebarcheckbox-small {
	padding-left: 21px;
}

:root #edit .sidebarcheckbox-small label {
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	cursor: pointer;
	display: inline-block;
}

:root #edit .sidebarcheckbox-small > input {
	position: absolute;
	clip: rect(0, 0, 0, 0);
	left: 0.2em;
	top: 0.2em;
	z-index: 0;
	margin: 0;
}

:root #edit .sidebarcheckbox-small > input:focus ~ label:before {
	border: 1px solid #d9d9d9;


}

:root #edit .sidebarcheckbox-small > input ~ label:before, :root #edit .sidebarcheckbox-small > input ~ label:after {
	content: "";
	display: inline-block;
	box-sizing: border-box;
	width: 16px;
	height: 16px;
	position: absolute;
	top: 0;
	left: 0;
	border-radius: 1px;
	font-size: 12px;
	text-align: center;
}

:root #edit .sidebarcheckbox-small > input ~ label:before {
	height: 15.5px;
	padding: 0 6px;
	color: #1a1a1a;
	font-weight: 400;


	border-radius: 1px;
	border: 1px solid #d9d9d9;
	background: #fff;


	padding: 0;
	height: 16px;
}

:root #edit .sidebarcheckbox-small > input ~ label:after {
	content: "\f00c";
	font-family: ThemeIcons;
	color: transparent;
	-webkit-transition: color 100ms;
	-moz-transition: color 100ms;
	transition: color 100ms;
}

:root #edit .sidebarcheckbox-small > input:active ~ label:after {
	background-color: rgba(128, 128, 128, 0.2);
}

:root #edit .sidebarcheckbox-small > input:checked ~ label:after {
	color: #00b4f0;
}

#edit .sidebarcheckbox-small > .v-icon, #edit .sidebarcheckbox-small > label .v-icon {
	margin: 0 5px 0 3px;
	min-width: 1em;
	cursor: pointer;
}

#edit .sidebarcheckbox-small.v-disabled  > label, #edit .sidebarcheckbox-small.v-disabled  > .v-icon {
	cursor: default;
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebarcheckbox-small.v-disabled  > label > .v-icon {
	cursor: default;
}

:root #edit .sidebarcheckbox-small.v-disabled > input:active ~ label:after {
	background: transparent;
}

#edit .sidebarcheckbox-small.v-readonly  > label, #edit .sidebarcheckbox-small.v-readonly  > .v-icon {
	cursor: default;
}

#edit .sidebarcheckbox-small.v-readonly  > label > .v-icon {
	cursor: default;
}

:root #edit .sidebarcheckbox-small.v-readonly > input:active ~ label:after {
	background: transparent;
}

:root #edit .sidebarcheckbox-small.v-readonly > input ~ label:after {
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebarcheckbox-large {
	position: relative;
	line-height: 22px;
	white-space: nowrap;
	font-size: 20px;
}

#edit .sidebarcheckbox-large.v-has-width label {
	white-space: normal;
}

:root #edit .sidebarcheckbox-large {
	padding-left: 29px;
}

:root #edit .sidebarcheckbox-large label {
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	cursor: pointer;
	display: inline-block;
}

:root #edit .sidebarcheckbox-large > input {
	position: absolute;
	clip: rect(0, 0, 0, 0);
	left: 0.2em;
	top: 0.2em;
	z-index: 0;
	margin: 0;
}

:root #edit .sidebarcheckbox-large > input:focus ~ label:before {
	border: 1px solid #d9d9d9;


}

:root #edit .sidebarcheckbox-large > input ~ label:before, :root #edit .sidebarcheckbox-large > input ~ label:after {
	content: "";
	display: inline-block;
	box-sizing: border-box;
	width: 22px;
	height: 22px;
	position: absolute;
	top: 0;
	left: 0;
	border-radius: 1px;
	font-size: 17px;
	text-align: center;
}

:root #edit .sidebarcheckbox-large > input ~ label:before {
	height: 22px;
	padding: 0 9px;
	color: #1a1a1a;
	font-weight: 400;


	border-radius: 1px;
	border: 1px solid #d9d9d9;
	background: #fff;


	padding: 0;
	height: 22px;
}

:root #edit .sidebarcheckbox-large > input ~ label:after {
	content: "\f00c";
	font-family: ThemeIcons;
	color: transparent;
	-webkit-transition: color 100ms;
	-moz-transition: color 100ms;
	transition: color 100ms;
}

:root #edit .sidebarcheckbox-large > input:active ~ label:after {
	background-color: rgba(128, 128, 128, 0.2);
}

:root #edit .sidebarcheckbox-large > input:checked ~ label:after {
	color: #00b4f0;
}

#edit .sidebarcheckbox-large > .v-icon, #edit .sidebarcheckbox-large > label .v-icon {
	margin: 0 7px 0 4px;
	min-width: 1em;
	cursor: pointer;
}

#edit .sidebarcheckbox-large.v-disabled  > label, #edit .sidebarcheckbox-large.v-disabled  > .v-icon {
	cursor: default;
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebarcheckbox-large.v-disabled  > label > .v-icon {
	cursor: default;
}

:root #edit .sidebarcheckbox-large.v-disabled > input:active ~ label:after {
	background: transparent;
}

#edit .sidebarcheckbox-large.v-readonly  > label, #edit .sidebarcheckbox-large.v-readonly  > .v-icon {
	cursor: default;
}

#edit .sidebarcheckbox-large.v-readonly  > label > .v-icon {
	cursor: default;
}

:root #edit .sidebarcheckbox-large.v-readonly > input:active ~ label:after {
	background: transparent;
}

:root #edit .sidebarcheckbox-large.v-readonly > input ~ label:after {
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebarcheckbox {
	height: 17px;
	width: 17px;
}

#edit .sidebarcheckbox label:after {
	font-size: 16px !important;
}

#edit .sidebarcolorpicker {
	outline: none;
	padding-left: 20px;
}

#edit .sidebarcolorpicker .v-colorpicker-button-color {
	height: 20px !important;
	width: 20px !important;
}

#edit .sidebarcolorpicker .v-colorpicker-button-color:before {
	display: none;
}

#edit .sidebardatefield {
	height: 34px;
	border-radius: 1px;
	position: relative;
}

#edit .sidebardatefield [class*="textfield"] {
	box-sizing: border-box;
	padding-left: 40.8px;
	width: 100%;
	height: 100%;
	border-radius: inherit;
}

#edit .sidebardatefield [class*="textfield"][class*="prompt"] {
	color: #a3a3a3;
}

#edit .sidebardatefield[class*="prompt"] > [class*="textfield"] {
	color: #a3a3a3;
}

#edit .sidebardatefield [class*="button"] {
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
	cursor: pointer;
	-webkit-appearance: none;
	background: transparent;
	padding: 0;
	position: absolute;
	z-index: 10;
	width: 34px;
	line-height: 32px;
	text-align: center;
	font: inherit;
	outline: none;
	margin: 0;
	top: 1px;
	bottom: 1px;
	left: 1px;
	border: none;
	border-right: 1px solid #e4e4e4;
	color: #a3a3a3;
	border-radius: 0 0 0 0;
}

#edit .sidebardatefield [class*="button"]:hover {
	color: #474747;
}

#edit .sidebardatefield [class*="button"]:before {
	font-family: ThemeIcons;
	content: "\f073";
	-webkit-transition: color 140ms;
	-moz-transition: color 140ms;
	transition: color 140ms;
}

#edit .sidebardatefield [class*="button"]:active:after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(128, 128, 128, 0.2);
	border-radius: inherit;
}

#edit .sidebardatefield.v-disabled {
	opacity: 0.5;
	filter: alpha(opacity=50) ;
}

#edit .sidebardatefield.v-disabled [class*="button"] {
	cursor: default;
	pointer-events: none;
}

#edit .sidebardatefield.v-disabled [class*="button"]:active:after {
	display: none;
}

#edit .sidebardatefield.v-readonly [class*="textfield"] {
	background: #fafafa;
	color: #464646;
	-webkit-box-shadow: none;
	box-shadow: none;
}

#edit .sidebardatefield.v-readonly [class*="textfield"]:focus {
	box-shadow: none;
	border-color: #c5c5c5;
}

#edit .sidebardatefield.v-readonly [class*="button"] {
	cursor: default;
	pointer-events: none;
}

#edit .sidebardatefield.v-readonly [class*="button"]:active:after {
	display: none;
}

#edit .highlightedlayout table {
	width: 100%;
}

.v-loading-indicator {
	position: fixed !important;
	z-index: 99999;
	left: 0;
	right: auto;
	top: 0;
	width: 50%;
	opacity: 1;
	height: 4px;
	background-color: #197de1;
	pointer-events: none;
	-webkit-transition: none;
	-moz-transition: none;
	transition: none;
	-webkit-animation: v-progress-start 1000ms 200ms both;
	-moz-animation: v-progress-start 1000ms 200ms both;
	animation: v-progress-start 1000ms 200ms both;
}

.v-loading-indicator[style*="none"] {
	display: block !important;
	width: 100% !important;
	opacity: 0;
	-webkit-animation: none;
	-moz-animation: none;
	animation: none;
	-webkit-transition: opacity 500ms 300ms, width 300ms;
	-moz-transition: opacity 500ms 300ms, width 300ms;
	transition: opacity 500ms 300ms, width 300ms;
}

.v-loading-indicator-delay {
	width: 90%;
	-webkit-animation: v-progress-delay 3.8s forwards;
	-moz-animation: v-progress-delay 3.8s forwards;
	animation: v-progress-delay 3.8s forwards;
}

.v-ff .v-loading-indicator-delay {
	width: 50%;
}

.v-loading-indicator-wait {
	width: 96%;
	-webkit-animation: v-progress-wait 5s forwards, v-progress-wait-pulse 1s 4s infinite backwards;
	-moz-animation: v-progress-wait 5s forwards, v-progress-wait-pulse 1s 4s infinite backwards;
	animation: v-progress-wait 5s forwards, v-progress-wait-pulse 1s 4s infinite backwards;
}

.v-ff .v-loading-indicator-wait {
	width: 90%;
}

div.v-app-loading {
	height: 40px !important;
	width: 40px !important;
	box-sizing: border-box;
	border: 2px solid rgba(0, 180, 240, 0.2);
	border-top-color: #00b4f0;
	border-right-color: #00b4f0;
	border-radius: 100%;
	-webkit-animation: v-rotate-360 500ms infinite linear;
	-moz-animation: v-rotate-360 500ms infinite linear;
	animation: v-rotate-360 500ms infinite linear;
	pointer-events: none;
	position: fixed;
	top: 50%;
	left: 50%;
	margin-left: -20px;
	margin-left: -20px;
}

.v-loading-indicator {
	background-color: #fff;
}

.sampleselected .v-loading-indicator {
	background-color: #00b4f0;
}

@font-face {
	font-family: "Helvetica W01 Light";
	src: url("../community/fonts/717f8140-20c9-4892-9815-38b48f14ce2b.eot?#iefix");
	src: url("../community/fonts/717f8140-20c9-4892-9815-38b48f14ce2b.eot?#iefix") format("eot"), url("../community/fonts/03805817-4611-4dbc-8c65-0f73031c3973.woff") format("woff"), url("../community/fonts/d5f9f72d-afb7-4c57-8348-b4bdac42edbb.ttf") format("truetype"), url("../community/fonts/05ad458f-263b-413f-b054-6001a987ff3e.svg#05ad458f-263b-413f-b054-6001a987ff3e") format("svg");
	font-weight: 300;
	font-style: normal;
}

@font-face {
	font-family: "HelveticaW01-RoundedBd";
	src: url("../community/fonts/79e78e0d-1e3d-4298-8913-6f12cf008e7d.eot?#iefix");
	src: url("../community/fonts/79e78e0d-1e3d-4298-8913-6f12cf008e7d.eot?#iefix") format("eot"), url("../community/fonts/c280ced9-704c-46b2-a66a-aff7ee1627bf.woff") format("woff"), url("../community/fonts/548e8c1d-b37a-43af-b197-a35e2f0c3d2f.ttf") format("truetype"), url("../community/fonts/5e9b82e3-aa53-4064-b984-f49aa751081d.svg#5e9b82e3-aa53-4064-b984-f49aa751081d") format("svg");
	font-weight: bold;
	font-style: normal;
}

@font-face {
	font-family: "sampler";
	src: url("../community/fonts/community.eot?#iefix");
	src: url("../community/fonts/community.eot?#iefix") format("embedded-opentype"), url("../community/fonts/community.svg#sampler") format("svg"), url("../community/fonts/community.woff") format("woff"), url("../community/fonts/community.ttf") format("truetype");
	font-weight: normal;
	font-style: normal;
}

@media all and (device-width: 768px) and (device-height: 1024px) and (orientation:landscape) {
	.v-ios7.v-sa {
		position: fixed;
		bottom: 0;
		width: 100%;
		height: 672px !important;
	}
}

.v-ui {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	vertical-align: top;
	text-align: left;
	white-space: normal;
}

.v-app {
	height: 100%;
}

.v-ui.transitioned {
	color: #fff;
	font-family: Helvetica, Arial, Sans-Serif;
	-webkit-font-smoothing: antialiased;
	overflow: hidden;
	transition-property: background-color;
	-webkit-transition-property: background-color;
	-moz-transition-property: background-color;
	-o-transition-property: background-color;
	-ms-transform: translate3d(0, 0, 0);
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}

.transitioned {
	transition-property: none;
	-webkit-transition-property: none;
	-moz-transition-property: none;
	-o-transition-property: none;
	-webkit-transition-duration: 0.8s;
	transition-duration: 0.8s;
}

.non-selectable {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.resizing .transitioned {
	-webkit-transition-duration: 0s;
	transition-duration: 0s;
}

#browser#browser.initializing * {
	-webkit-transition-duration: 0s !important;
	transition-duration: 0s !important;
}

#communitymainlayout {
	position: fixed !important;
}

.v-ui {
	background-color: #00b4f0;
}

.sampleselected .v-ui {
	background-color: #f3f3f3;
}

.orange .v-ui {
	background-color: #ee7c08;
}

.green .v-ui {
	background-color: #40b527;
}

.pink .v-ui {
	background-color: #e61e6e;
}

.grid-stock .v-grid .v-widget {
	vertical-align: baseline;
	pointer-events: none;
}

.grid-stock .v-sparkline {
	line-height: 1;
}

.sparkline .going-up {
	color: #24c615;
	display: inline-block;
}

.sparkline .going-down {
	color: #ff6666;
	display: inline-block;
}

.grid-stock .v-grid-row-selected .going-down, .grid-stock .v-grid-row-selected .going-up {
	color: inherit;
}

#browsercontent #display .samplepanel .v-grid .align-right {
	text-align: right;
	text-overflow: inherit;
}

.v-splitpanel-second-container-declarative-sample, .v-splitpanel-first-container-declarative-sample {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding: 10px;
}

#browsercontent #display .samplepanel .grid-basics .v-grid-header .filter-header {
	padding: 0 4px;
}

#browsercontent #display .samplepanel .grid-basics .v-grid-header .filter-header .v-widget {
	vertical-align: middle;
}

.v-grid-cell-focused > * {
	position: relative;
}

body > .v-slider-feedback {
	font-family: "Open Sans", sans-serif;
	background-color: rgba(50, 50, 50, 0.9);
	-webkit-box-shadow: 0 2px 12px rgba(0, 0, 0, 0.2);
	box-shadow: 0 2px 12px rgba(0, 0, 0, 0.2);
	color: white;
	padding: 5px 9px;
	border-radius: 3px;
	max-width: 35em;
	overflow: hidden !important;
	font-size: 14px;
}

.AceEditorWidget.AceEditorWidget-error {
	border: 1px solid red;
}